<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

// Route::prefix('admin')->group(function() {
// 	Route::get('/', 'AdminUserManagerController@login');
// 	Route::get('/dashboard', 'AdminUserManagerController@dashboard');
// });
Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.'], function () {

            Route::get('/', function() {
                        return redirect()->route('admin.login');
                    });

            Route::get("test/user", function() {
                        return response(['Hello World', 200]);
                    })->name('test.user');

            Auth::routes(['register' => false]);

            /* Auth route group */
            Route::group(['middleware' => 'auth:admin'], function() {
                        /* Dashboard */
                        Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
                        Route::get('/profile', 'DashboardController@show')->name('profile');
                        /* Resource routes */
                        Route::get('/change-password', 'AdminUsersController@showChangePasswordForm')->name('changepassword');
                        Route::post('/update-password', 'AdminUsersController@changePassword')->name('updatepassword');
                    });
        });
