<?php

namespace Modules\CommunityManager\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class CommunitiesSubDetails extends Authenticatable {

	protected $table = 'communities_sub_details';

     protected $fillable = ['community_id', 'sub_title','questions', 'created_at','updated_at'];
    

    /*
     * Override default password notification
     */
 /**
     * Scope a query to only include active users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeStatus($query, $status = null)
    {
        if ($status === '0' || $status == 1) {
            $query->where('status', $status);
        }
        return $query;
    }

    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword)
    {
        if (!empty($keyword)) {
          $query->where(function ($query) use ($keyword) {
                $query->where('sub_title', 'LIKE', '%' . $keyword . '%');
                 $query->orWhere('questions', 'LIKE', '%' . $keyword . '%');
            });
           
        }
        return $query;
    }

	public function Answer()
   {
	  return $this->hasMany('Modules\CommunityManager\Entities\CommunitiesAnswers','community_subdetail_id','id');
   }

}
