<?php

namespace Modules\CommunityManager\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Mail;

class Community extends Authenticatable {

  
	protected $table = 'communities';
    protected $fillable = ['title', 'description','color_code', 'status','created_at','updated_at'];
    

    /*
     * Override default password notification
     */
 /**
     * Scope a query to only include active users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeStatus($query, $status = null)
    {
        if ($status === '0' || $status == 1) {
            $query->where('status', $status);
        }
        return $query;
    }

    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword)
    {
        if (!empty($keyword)) {
          $query->where(function ($query) use ($keyword) {
                $query->where('title', 'LIKE', '%' . $keyword . '%');
                 $query->orWhere('description', 'LIKE', '%' . $keyword . '%');
            });
           
        }
        return $query;
    }

	public function SubDetails()
   {
	  return $this->hasMany('Modules\CommunityManager\Entities\CommunitiesSubDetails','community_id');
   }

}
