@extends('layouts.admin.master')
@section('title', !empty($community) ? 'Edit Community' : 'Add Community')
@section('content')
@include('layouts.admin.flash.alert')

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Community
        <small>Here you can manage community</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.community'],['label' => !empty($user) ? 'Edit Community' : 'Add Community' ]]]) }}
</section>
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">{{ !empty($user) ? 'Edit Community' : 'Add Community' }} </h3>
                    <a href="{{ route('admin.community') }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div><!-- /.box-header -->

                @if(isset($community))
                {{ Form::model($community, ['route' => ['admin.community.update', $community->id], 'method' => 'patch','enctype'=>"multipart/form-data"]) }}
                @else
                {{ Form::open(['route' => 'admin.community.store','enctype'=>"multipart/form-data"]) }}
                @endif
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                    <label for="name">Title</label>
                                    {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                    @if($errors->has('title'))
                                    <span class="help-block">{{ $errors->first('title') }}</span>
                                    @endif
                                </div>
                            </div>
							
                        </div>
                    
                        <div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('description') ? 'has-error' : '' }}">
                                    <label for="description">Description</label>
                                    {{ Form::textarea('description', old('description'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('description'))
                                    <span class="help-block">{{ $errors->first('description') }}</span>
                                    @endif
                                </div>
                            </div>
                           
						 </div>
						<div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('color_code') ? 'has-error' : '' }}">
                                    <label for="color_code">Color Code</label>
                                    {{ Form::text('color_code', old('color_code'), ['class' => 'form-control','placeholder' => 'Color Code']) }}
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('color_code') }}</span>
                                    @endif
                                </div>
                            </div>
                           
						 </div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('status') ? 'has-error' : '' }}">
                                    <label for="status">Status</label>
                                    {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}

                                </div>
                            </div>
							

                        </div>
						@if(!empty($community->SubDetails))
							<?php 
							foreach($community->SubDetails as $key=>$val){
							$details = json_decode($val);
							?>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group">
										<label for="tradition"><?php echo $details->sub_title; ?></label>
									</div>
								</div>
							</div>
							<div class="col-md-12">
								<div class="col-md-6">
									<div class="form-group required {{ $errors->has('sub_title') ? 'has-error' : '' }}">
										<label for="color_code">Questions</label>
										<input class="form-control" placeholder="Questions" name="questions[{{$key+1}}]" type="text" value="{{$details->questions}}">
										<input type="hidden" name="sub_title[{{$key+1}}]" value="{{$details->sub_title}}">
										<input type="hidden" name="id[{{$key+1}}]" value="{{$details->id}}">
										@if($errors->has('color_code'))
										<span class="help-block">{{ $errors->first('sub_title') }}</span>
										@endif
									</div>
								</div>
							</div>
							<div class="col-md-12">
							   <div class="col-md-6">
									<div class="form-group required {{ $errors->has('answer') ? 'has-error' : '' }}">
										<label for="answer">Description</label>
										<textarea class="form-control" placeholder="Description" name="answer[{{$key+1}}]" cols="50" rows="10">{{$details->answer}}</textarea>
										@if($errors->has('answer'))
										<span class="help-block">{{ $errors->first('answer') }}</span>
										@endif
									</div>
								</div>
							</div>
							 
							<?php } ?>
						@else
						<div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group">
                                    <label for="tradition">Tradition and belief</label>
								</div>
							</div>
							<div class="col-md-6">
                                <div class="form-group">
                                    <label for="greetings">Greetings</label>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                    <label for="color_code">Questions</label>
                                    {{ Form::text('questions[1]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
									<input type="hidden" name="sub_title[1]" value="Tradition and belief">
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('sub_title') }}</span>
                                    @endif
                                </div>
                            </div>
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                    <label for="color_code">Questions</label>
                                    {{ Form::text('questions[2]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
									<input type="hidden" name="sub_title[2]" value="Greetings">
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('sub_title') }}</span>
                                    @endif
                                </div>
                            </div>
						</div>
						<div class="col-md-12">
                           <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('answer') ? 'has-error' : '' }}">
                                    <label for="answer">Description</label>
                                    {{ Form::textarea('answer[1]', old('answer'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('answer'))
                                    <span class="help-block">{{ $errors->first('answer') }}</span>
                                    @endif
                                </div>
                            </div>
							 <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('answer') ? 'has-error' : '' }}">
                                    <label for="answer">Description</label>
                                    {{ Form::textarea('answer[2]', old('answer'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('answer'))
                                    <span class="help-block">{{ $errors->first('answer') }}</span>
                                    @endif
                                </div>
                            </div>
						 </div>
                        <div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group">
                                    <label for="visiting">Visiting households</label>
								</div>
							</div>
							<div class="col-md-6">
                                <div class="form-group">
                                    <label for="experience">Experience with law enforcement</label>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                    <label for="color_code">Questions</label>
                                    {{ Form::text('questions[3]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
									<input type="hidden" name="sub_title[3]" value="Visiting households">
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('sub_title') }}</span>
                                    @endif
                                </div>
                            </div>
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                    <label for="color_code">Questions</label>
                                    {{ Form::text('questions[4]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
									<input type="hidden" name="sub_title[4]" value="Experience with law enforcement">
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('sub_title') }}</span>
                                    @endif
                                </div>
                            </div>
						</div>
						<div class="col-md-12">
                           <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('answer') ? 'has-error' : '' }}">
                                    <label for="answer">Description</label>
                                    {{ Form::textarea('answer[3]', old('answer'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('answer'))
                                    <span class="help-block">{{ $errors->first('answer') }}</span>
                                    @endif
                                </div>
                            </div>
							 <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('answer') ? 'has-error' : '' }}">
                                    <label for="answer">Description</label>
                                    {{ Form::textarea('answer[4]', old('answer'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('answer'))
                                    <span class="help-block">{{ $errors->first('answer') }}</span>
                                    @endif
                                </div>
                            </div>
						 </div>
                        @endif 

                    </div> <!-- /.row -->

                </div><!-- /.box-body -->
                <div class="box-footer">
                    <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                </div>
                {{ Form::close() }}

            </div>
        </div>
    </div>
</section>
@stop
