@extends('layouts.admin.master')
@section('title', !empty($community) ? 'Edit Community' : 'Add Community')
@section('content')
@include('layouts.admin.flash.alert')

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Community
        <small>Here you can manage community</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.community'],['label' => !empty($user) ? 'Edit Community' : 'Add Community' ]]]) }}
</section>
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">{{ !empty($user) ? 'Edit Community' : 'Add Community' }} </h3>
                    <a href="{{ route('admin.community') }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div><!-- /.box-header -->

                @if(isset($community))
                {{ Form::model($community, ['route' => ['admin.community.update', $community->id], 'method' => 'patch','enctype'=>"multipart/form-data"]) }}
                @else
                {{ Form::open(['route' => 'admin.community.store','enctype'=>"multipart/form-data"]) }}
                @endif
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                    <label for="name">Title</label>
                                    {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                    @if($errors->has('title'))
                                    <span class="help-block">{{ $errors->first('title') }}</span>
                                    @endif
                                </div>
                            </div>
							
                        </div>
                    
                        <div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('description') ? 'has-error' : '' }}">
                                    <label for="description">Description</label>
                                    {{ Form::textarea('description', old('description'), ['class' => 'form-control','placeholder' => 'Description']) }}
                                    @if($errors->has('description'))
                                    <span class="help-block">{{ $errors->first('description') }}</span>
                                    @endif
                                </div>
                            </div>
                           
						 </div>
						<div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('color_code') ? 'has-error' : '' }}">
                                    <label for="color_code">Color Code</label>
                                    {{ Form::color('color_code', old('color_code'), ['class' => 'form-control','placeholder' => 'Color Code']) }}
                                    @if($errors->has('color_code'))
                                    <span class="help-block">{{ $errors->first('color_code') }}</span>
                                    @endif
                                </div>
                            </div>
                           
						 </div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('status') ? 'has-error' : '' }}">
                                    <label for="status">Status</label>
                                    {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}

                                </div>
                            </div>
						</div>
						
                    </div> <!-- /.row -->
					<?php if(empty($community->SubDetails)){ ?>
					<hr>
					<div class="row">
						
						<div class="col-md-12">
							<label for="tradition">Traditions and Beliefs</label>
							<a class="btn btn-primary pull-right" href="javascript:void(0);" onclick="add_column('form_1')" >+</a>
							<br>
							
						</div>
						<div class="col-md-12">
							<label for="color_code">Questions</label>
							{{ Form::text('subdetails[questions][1]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
							<input type="hidden" name="subdetails[title][1]" value="Traditions and Beliefs">
							<br>
						</div>
						<span id="form_1">
						<div class="col-md-12" id="form_1_ans_1">
							<label for="answer">Description</label>
							{{ Form::textarea('subdetails[answer][1][1]', old('answer'), ['class' => 'form-control','placeholder' => 'Description','rows'=>3]) }}
							<br>
						</div>
						</span>
                        
					</div>

					<hr>
					<div class="row">
						
						<div class="col-md-12">
							<label for="greetings">Greetings</label>
							<a class="btn btn-primary pull-right" href="javascript:void(0);" onclick="add_column('form_2')" >+</a>
							<br>
							
						</div>
						<div class="col-md-12">
							<label for="color_code">Questions</label>
							{{ Form::text('subdetails[questions][2]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
							<input type="hidden" name="subdetails[title][2]" value="Greetings">
							<br>
						</div>
						<span id="form_2">
						<div class="col-md-12" id="form_2_ans_1">
							<label for="answer">Description</label>
							{{ Form::textarea('subdetails[answer][2][1]', old('answer'), ['class' => 'form-control','placeholder' => 'Description','rows'=>3]) }}
							<br>
						</div>
						</span>
                        
					</div>

					<hr>
					<div class="row">
						
						<div class="col-md-12">
							<label for="visiting">Visiting Households</label>
							<a class="btn btn-primary pull-right" href="javascript:void(0);" onclick="add_column('form_3')" >+</a>
							<br>
							
						</div>
						<div class="col-md-12">
							<label for="color_code">Questions</label>
							{{ Form::text('subdetails[questions][3]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
							<input type="hidden" name="subdetails[title][3]" value="Visiting Households">
							<br>
						</div>
						<span id="form_3">
						<div class="col-md-12" id="form_3_ans_1">
							<label for="answer">Description</label>
							{{ Form::textarea('subdetails[answer][3][1]', old('answer'), ['class' => 'form-control','placeholder' => 'Description','rows'=>3]) }}
							<br>
						</div>
						</span>
                        
					</div>

					<hr>
					<div class="row">
						
						<div class="col-md-12">
							<label for="experience">Experiences with Law Enforcement :</label>
							<a class="btn btn-primary pull-right" href="javascript:void(0);" onclick="add_column('form_4')" >+</a>
							<br>
							
						</div>
						<div class="col-md-12">
							<label for="color_code">Questions</label>
							{{ Form::text('subdetails[questions][4]', old('sub_title'), ['class' => 'form-control','placeholder' => 'Questions']) }}
							<input type="hidden" name="subdetails[title][4]" value="Experience with Law Enforcement">
							<br>
						</div>
						<span id="form_4">
						<div class="col-md-12" id="form_4_ans_1">
							<label for="answer">Description</label>
							{{ Form::textarea('subdetails[answer][4][1]', old('answer'), ['class' => 'form-control','placeholder' => 'Description','rows'=>3]) }}
							<br>
						</div>
						</span>
                        
					</div>
					<?php }else{ 
						foreach($community->SubDetails as $key=>$val){
					?>
					
					<div class="row">
						
						<div class="col-md-12">
							<label for="tradition"><?php echo $val['sub_title']; ?></label>
							<a class="btn btn-primary pull-right" href="javascript:void(0);" onclick="add_column('form_<?php echo $key+1;?>')" >+</a>
							<br>
							
						</div>
						<div class="col-md-12">
							<label for="color_code">Questions</label>
							<input class="form-control" placeholder="Questions" name="subdetails[questions][<?php echo $key+1;?>]" type="text" value="<?php echo $val['questions'];?>">
							<input type="hidden" name="subdetails[title][<?php echo $key+1;?>]" value="<?php echo $val['sub_title'];?>">
							<input type="hidden" name="subdetails[id][<?php echo $key+1;?>]" value="<?php echo $val['id'];?>">
							<br>
						</div>
						<span id="form_<?php echo $key+1;?>">
						<?php foreach($val['answer'] as $k=>$v){
							$v = json_decode($v);
						?>
						<div class="col-md-12" id="form_<?php echo $key+1;?>_ans_<?php echo $k+1;?>">
							<label for="answer">Description</label>
							<?php if(count($val['answer']) > 1){ ?>
							<a class="btn btn-danger pull-right " href="javascript:void(0);" onclick="remove_column(<?php echo $key+1;?>,<?php echo $k+1;?>)" >-</a>
							<?php } ?>
							<textarea class="form-control" placeholder="Description" rows="3" name="subdetails[answer][<?php echo $key+1;?>][<?php echo $k+1;?>]" cols="50"><?php echo $v->answer; ?></textarea>
							<br>
						</div>
						<?php } ?>
						</span>
						
					</div>
					
					<?php 
						}
					}
					?>
                </div><!-- /.box-body -->
                <div class="box-footer">
                    <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                </div>
                {{ Form::close() }}

            </div>
        </div>
    </div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
	
	
	function add_column(form) {
		var lastField = $("#"+form+" div.col-md-12:last");
		var lastFormId = lastField.attr('id'); 
		var id = lastFormId.replace(form+"_ans_","");
		var Form_id = form.replace("form_","");
		var newId = parseInt(id)+1;
		var divId = 'form_'+Form_id+'_ans_'+newId+'';
		var html = '<div class="col-md-12" id="'+divId+'">'+
						'<label for="answer">Description</label>'+
						'<a class="btn btn-danger pull-right " href="javascript:void(0);" onclick="remove_column('+Form_id+','+newId+')" >-</a>'+
						'<textarea class="form-control" placeholder="Description" rows="3" name="subdetails[answer]['+Form_id+']['+newId+']" cols="50"></textarea><br>'+
					'</div>';
				
		$("#"+form).append(html); 
		
	}
	function remove_column(formId, newId){
		console.log(formId);
		console.log(newId);
		$('#form_'+formId+'_ans_'+newId).remove();
	}
	
	
</script>
</section>
@stop
