@extends('layouts.admin.master')
@section('title','View Community Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Community
        <small>Here you can view community detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.community'],['label' => 'View Community Detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="box">
        <div class="box-header"><h3 class="box-title">{{ $community->title }}</h3>
            <a href="{{route('admin.community')}}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __(' Title') }}</th>
                    <td>{{ $community->title }}</td>
				</tr>
				<tr>	
                    <th scope="row">{{ __('Description') }}</th>
                    <td>{{ $community->description }}</td>
				</tr>
				<tr>
				    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $community->status ? __('Active') : __('Inactive')  }}</td>
				</tr>
				<tr>
				    <th scope="row">{{ __('Created') }}</th>
                    <td>{{ $community->created_at  }}</td>
				</tr>
				<?php if(!empty($community->SubDetails)){
					foreach($community->SubDetails as $key=>$val){
				?>
				<tr>
				    <th colspan="2" scope="row"><h4>{{ $val['sub_title'] }}<h4></th>
				</tr>
				<tr>
					<th scope="row">Title</th>
                    <td scope="row">{{ $val['questions'] }}</td>
                </tr>
				<?php if(!empty($val['answer'])){ 
					foreach($val['answer'] as $k=>$v){
				?>
				<tr>
					<th scope="row" width="10%">Description {{ $k+1 }}</th>
				    <td colspan="2" scope="row">{{ $v['answer'] }}</td>
                </tr>
				
				<?php 
					}
				}
					}
				}
				?>
            </table>  
					
        </div>
        <div class="box-footer">
            <a href="{{route('admin.community')}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
    </div>
</section>

@endsection
