<?php

namespace Modules\EnquiryManager\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;


class Enquiry extends Authenticatable {

  
	protected $table = 'enquiries';
    protected $fillable = ['name', 'email_address','subject', 'message','created_at','updated_at'];
    
/**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword)
    {
        if (!empty($keyword)) {
          $query->where(function ($query) use ($keyword) {
                $query->where('name', 'LIKE', '%' . $keyword . '%');
                 $query->orWhere('email_address', 'LIKE', '%' . $keyword . '%');
            });
           
        }
        return $query;
    }

}
