@extends('layouts.admin.master')
@section('title','Enquiry Manager')
@section('content')
@include('layouts.admin.flash.alert')
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Enquiry
        <small>Here you can manage enquiry</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
</section>

<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header">
                    <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List Enquiry') }}</span></h3>
                    <div class="box-tools">
                        
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    {{ Form::open(['url' => route('admin.enquiry'),'method' => 'get']) }}
                    <div class="col-md-12">
                        <div class="row">
                           <div class="col-md-5 form-group">
                                {{ Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: name, email']) }}
                            </div>
                            <div class="col-md-3 form-group">
                                <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                <a href="{{ route('admin.enquiry') }}" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                            </div>
                        </div>
                    </div>
                    {{ Form::close() }}
                    <table class="table table-hover table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th scope="col"> @php
                                    $sorting['sort'] = "name";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    @endphp
                                    <a href="{{ URL::route('admin.enquiry',$sorting) }}">Name</a></th>
								<th scope="col">@php
                                    $sorting['sort'] = "email_address";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    @endphp
                                    <a href="{{ URL::route('admin.enquiry',$sorting) }}">Email</a></th>
								<th scope="col">@php
                                    $sorting['sort'] = "subject";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    @endphp
                                    <a href="{{ URL::route('admin.enquiry',$sorting) }}">Subject</a></th>
                                <th scope="col">@php
                                    $sorting['sort'] = "message";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    @endphp
                                    <a href="{{ URL::route('admin.enquiry',$sorting) }}">Message</a></th>
                                <th scope="col" width="18%">@php
                                    $sorting['sort'] = "created_at";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    @endphp
                                    <a href="{{ URL::route('admin.enquiry',$sorting) }}">Created</a></th>
								<th scope="col" class="actions" width="12%">Action</th>
                            </tr>
                        </thead>
                        @if($enquiries->count() > 0)
                        <tbody>
                            @php
                            $i = (($enquiries->currentPage() - 1) * ($enquiries->perPage()) + 1)
                            @endphp
                            @foreach($enquiries as $enquiry)
                            <tr class="row-{{ $enquiry->id }}">
                                <td> {{$i}}. </td>
                                <td>{{$enquiry->name}}</td>
                                <td>{{$enquiry->email_address}}</td>
                                <td>{{$enquiry->subject}}</td>
                                <td>{{$enquiry->message}}</td>
                                <td>{{ $enquiry->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
								<td class="actions">
                                    <div class="form-group">
                                        <a href="{{ route('admin.enquiry.view',['id' => $enquiry->id]) }}" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a> 
                                    </div>
                                </td>
                            </tr>
                            @php
                            $i++;
                            @endphp
                            @endforeach
                        </tbody>
                        @else
                        <tfoot>
                            <tr>
                                <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                            </tr>
                        </tfoot>
                        @endif
                    </table>
                </div>
                <div class="box-footer clearfix">
                    {{ $enquiries->appends(Request::query())->links() }}
                </div>
            </div>
        </div>
    </div>
</section>
@stop
