<?php

namespace Modules\UserManager\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Mail;

class User extends Authenticatable {

    use Notifiable;

     protected $fillable = ['name', 'email', 'photo', 'phone', 'dob', 'status','is_verified','gender', 'password','is_download_offline','is_notifiable'];
    protected $hidden = [
        'password', 'remember_token',
    ];

    /*
     * Override default password notification
     */
 /**
     * Scope a query to only include active users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeStatus($query, $status = null)
    {
        if ($status === '0' || $status == 1) {
            $query->where('status', $status);
        }
        return $query;
    }

    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword)
    {
        if (!empty($keyword)) {
          $query->where(function ($query) use ($keyword) {
                $query->where('name', 'LIKE', '%' . $keyword . '%');
                 $query->orWhere('email', 'LIKE', '%' . $keyword . '%');
            });
           
        }
        return $query;
    }


}
