<?php

namespace Modules\UserManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use \Illuminate\Http\Request;
use Auth;

class UserRequest extends FormRequest {

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request) {
        $user = Auth::user();
        switch ($this->method()) {
            case 'GET': {
                    return [];
                }
            case 'DELETE': {
                    return [];
                }
            case 'POST': {
                    return [
                        'name' => 'required|min:3',
                        //'last_name' => 'required|min:3',
                        'email' => 'required|unique:users,email,' . $request->segment(3),
                        'password' => 'required|min:6|confirmed',
                        'password_confirmation' => 'required|min:6',
                        'phone' => 'nullable|numeric|digits_between:10,16',
                       // 'dob' => 'nullable ',
                        //'gender' => 'required'
                    ];
                }
            case 'PUT':
            case 'PATCH': {
                    return [
                        'name' => 'required|min:3',
                        //'last_name' => 'required|min:3',
                        'email' => 'required|unique:users,email,' . $request->segment(3),
                        'password' => 'nullable|min:3|confirmed',
                        'password_confirmation' => 'nullable|min:3',
                        'phone' => 'nullable|numeric|digits_between:10,16',
                       // 'dob' => 'nullable ',
                       // 'gender' => 'required'
                    ];
                }
            default:break;
        }
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages() {
        return [
            'name.required' => 'Please enter name!',
            //'last_name.required' => 'Please enter last name!',
            'first_name.min' => 'First Name must be at least 3 characters long!',
            'email.unique' => 'Each email must have a unique! this email already created!!',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

}
