@extends('layouts.admin.master')
@section('title', !empty($user) ? 'Edit User' : 'Add User')
@section('content')
@include('layouts.admin.flash.alert')
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Users
        <small>Here you can manage users</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.users'],['label' => !empty($user) ? 'Edit CMS Page' : 'Add CMS Page' ]]]) }}
</section>
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">{{ !empty($user) ? 'Edit User' : 'Add User' }} </h3>
                    <a href="{{ route('admin.users') }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div><!-- /.box-header -->

                @if(isset($user))
                {{ Form::model($user, ['route' => ['admin.users.update', $user->id], 'method' => 'patch','enctype'=>"multipart/form-data"]) }}
                @else
                {{ Form::open(['route' => 'admin.users.store','enctype'=>"multipart/form-data"]) }}
                @endif
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('name') ? 'has-error' : '' }}">
                                    <label for="name">Name</label>
                                    {{ Form::text('name', old('name'), ['class' => 'form-control','placeholder' => 'Name']) }}
                                    @if($errors->has('name'))
                                    <span class="help-block">{{ $errors->first('name') }}</span>
                                    @endif
                                </div>
                            </div>
							
                        </div>
                        <!-- <div class="col-md-12">
                        <div class="col-md-6">
                            <div class="form-group required {{ $errors->has('gender') ? 'has-error' : '' }}">
                                <label for="gender">Gender</label>
                                 {{ Form::select('gender', ['male' => 'Male', 'female'=> 'Female'], old("gender"), ['class' => 'form-control']) }}
                         
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group required {{ $errors->has('dob') ? 'has-error' : '' }}">
                                <label for="dob">DOB</label>
                                {{ Form::text('dob', old('dob'), ['class' => 'form-control','placeholder' => 'DOB']) }}
                                @if($errors->has('dob'))
                                <span class="help-block">{{ $errors->first('dob') }}</span>
                                @endif
                            </div>
                        </div>
                    </div>-->


                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group {{ empty($user) ? 'required' : '' }} {{ $errors->has('password') ? 'has-error' : '' }}">
                                    <label for="password">Password</label>
                                    <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" placeholder ='Password'>                                
                                    @if($errors->has('password'))
                                    <span class="help-block">{{ $errors->first('password') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group {{ empty($user) ? 'required' : '' }} {{ $errors->has('password_confirmation') ? 'has-error' : '' }}">
                                    <label for="confirm_password">Confirm Password</label>
                                    <input id="password_confirmation" type="password" class="form-control{{ $errors->has('password_confirmation') ? ' is-invalid' : '' }}" name="password_confirmation" placeholder ='Confirm Password'>

                                    @if($errors->has('confirm_password'))
                                    <span class="help-block">{{ $errors->first('password_confirmation') }}</span>
                                    @endif
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required {{ $errors->has('email') ? 'has-error' : '' }}">
                                    <label for="email">Email</label>
                                    {{ Form::text('email', old('email'), ['class' => 'form-control','placeholder' => 'Email']) }}
                                    @if($errors->has('email'))
                                    <span class="help-block">{{ $errors->first('email') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('is_verified') ? 'has-error' : '' }}">
                                    <label for="is_verified">Verified</label>
                                    {{ Form::select('is_verified', [1 => 'Verified', 0 => 'Not Verified'], old("is_verified"), ['class' => 'form-control']) }}

                                </div>
                            </div>
						 </div>

                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required {{ $errors->has('status') ? 'has-error' : '' }}">
                                    <label for="status">Status</label>
                                    {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}

                                </div>
                            </div>
							 <div class="col-md-6">
                                <div class="form-group {{ $errors->has('phone') ? 'has-error' : '' }}">
                                    <label for="phone">Phone Number</label>
                                    {{ Form::text('phone', old('phone'), ['class' => 'form-control','placeholder' => 'Phone Number']) }}
                                    @if($errors->has('phone'))
                                    <span class="help-block">{{ $errors->first('phone') }}</span>
                                    @endif
                                </div>
                            </div>

                        </div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group  {{ $errors->has('photo') ? 'has-error' : '' }}">
                                    <label for="imageInput">Profile Photo</label>
                                    <input data-preview="#photo" name="photo" type="file" id="photoInput">
                                    <img class="col-sm-6" id="preview"  src="">
                                    <p class="help-block">Browse Profile Photo.</p>
									 @php
                        $filepath = '/uploads/users/';
                        @endphp


                        @if(!empty($user->photo) && file_exists(public_path() . $filepath . $user->photo))
                        <?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url($filepath . $user->photo), '200', '200', '100'); ?>
                    
                        @else
                        <?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url('img/no_image.gif'), '200', '200', '100'); ?>
                        @endif
                            <img src="{{ $imageurl  }}" class=" img-responsive img-thumbnail">
                                </div>
                            </div>
                           

                        </div>

                    </div> <!-- /.row -->

                </div><!-- /.box-body -->
                <div class="box-footer">
                    <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                </div>
                {{ Form::close() }}

            </div>
        </div>
    </div>
</section>
@stop
