@extends('layouts.admin.master')
@section('title','View User Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Users
        <small>Here you can view user detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.users'],['label' => 'View User Detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="box">
        <div class="box-header"><h3 class="box-title">{{ $user->name }}</h3>
            <a href="{{route('admin.users')}}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __(' Name') }}</th>
                    <td>{{ $user->name }}</td>
					<th scope="row">{{ __('Phone') }}</th>
                    <td>{{ $user->phone }}</td>
				</tr>
				<tr>	
                    <th scope="row">{{ __('Email') }}</th>
                    <td>{{ $user->email }}</td>
				    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $user->status ? __('Active') : __('Inactive')  }}</td>
				</tr>
				<tr>
                   <th scope="row">{{ __('Verified') }}</th>
                    <td>{{ $user->is_verified ? __('Verified') : __('Not Verified')  }}</td>
                </tr>
				<tr>
					<th scope="row">{{ __('Profile Image') }}</th>
                    <td>  
						@php
						$filepath = '/uploads/users/';
						@endphp


						@if(!empty($user->photo) && file_exists(public_path() . $filepath . $user->photo))
						<?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url($filepath . $user->photo), '200', '200', '100'); ?>
					   
						@else
						<?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url('img/no_image.gif'), '200', '200', '100'); ?>
						@endif
						<img src="{{ $imageurl  }}" class=" img-responsive img-thumbnail" alt="{{ $user->name}}">
                    </td>

				</tr>
            </table>  
					
        </div>
        <div class="box-footer">
            <a href="{{route('admin.users')}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
    </div>
</section>

@endsection
