<?php

namespace Modules\AdvertisementPackageManager\Entities;

use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    protected $fillable = ["title"];

    public function package_features()
    {
        return $this->hasMany(\Modules\AdvertisementPackageManager\Entities\PackageFeature::class, 'package_id', 'id')->orderBy('id', 'ASC');
    }
    public function package_prices()
    {
        return $this->hasMany(\Modules\AdvertisementPackageManager\Entities\PackagePrice::class, 'package_id', 'id')->orderBy('id', 'ASC');
    }
    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeStatus($query, $status) {
        
        if ($status === '0' || $status == 1) {
            $query->where('status', $status);
        }
    
        return $query;
    }
    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword) {
        if (!empty($keyword)) {
            $query->where(function($query) use ($keyword) {
                $query->where('title', 'LIKE', '%' . $keyword . '%');
            });
        }
        return $query;
    }


    function features(){
        $plans = \Modules\AdvertisementPackageManager\Entities\PackageFeature::where('package_id', $this->id)->get();
        $features = [];
        foreach($plans as $plan){
            $features[$plan->title] = $plan->value;
        }
        return $features;
    }
}
