@extends('layouts.admin.master')
@section('title', !empty($package) ? 'Edit Package' : 'Add Package')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (Package header) -->
    <section class="content-header">
        <h1>
            Manage Packages
            <small>Here you can manage {{ !empty($package) ? 'edit Package' : 'add Package' }}</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'data.packages'],['label' => !empty($package) ? 'Edit Package' : 'Add Package' ]]]) }}
    </section>
    <section class="content" data-table="Packages">

            <div class="row Packages">
                <div class="col-md-12">

                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($package) ? 'Edit Package' : 'Add Package' }} </h3>
                            <a href="{{ route('data.packages', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->
                @if(isset($package))
                @php
                    $queryStr['id'] = $package->id;
                    $queryStr = array_merge( $queryStr , app('request')->query());
                @endphp
                    {{ Form::model($package, ['url' => route('data.packages.update', $queryStr) , 'method' => 'patch','enctype'=>'multipart/form-data']) }}
                @else
                    {{ Form::open(['url' => route('data.packages.store', app('request')->query()),'enctype'=>'multipart/form-data']) }}
                @endif
                <div class="box-body">

                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}"><a href="#g_details" data-toggle="tab" aria-expanded="true">General Detail</a></li>
                                <li class="{{ !(!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}"><a href="#description_content" data-toggle="tab" aria-expanded="true">Package Price</a></li>

                        </ul>
                    <div class="tab-content">
                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}" id="g_details">
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="title">Package Name</label>
                                                    <div class="col-md-9">
                                                        {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                                        @if($errors->has('title'))
                                                        <span class="help-block">{{ $errors->first('title') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div>

                                       
                                        <div class="form-group  required {{ $errors->has('status') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Status</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}
                                                    </div>
                                                </div>
                                        </div>
                                        
                                    </div>


                                    <div class="col-md-6">
                            @php $features=config::get('constant.package_features');
                            @$i=1;
                            if(!empty($package)){
                                $existingfeatures = $package->package_features->pluck('value','title')->toArray();
                            }
                            @endphp
                                                                <!--right side section-->
                            @foreach($features as $key=>$feature)
                            @php
                            $value='';
                            if( !empty($package) && $existingfeatures && array_key_exists($key,$existingfeatures)){

                                $value=$existingfeatures[$key];
                            }
                            else{
                                $value=old("subscription_plan_features[$i][value]");
                            }
                            @endphp
                            <div class="form-group required {{ $errors->has('subscription_plan_features.'.$i.'.value') ? 'has-error' : '' }}">
                                    <div class="row">
                                        <label class="col-md-3 control-label" for="">{!! $feature !!}</label>
                                        <div class="col-md-9">
                                                {{ Form::hidden("package_features[$i][title]", $key, ['class' => 'form-control']) }}
                                                {!! Form::select("package_features[$i][value]", [1=>"Yes",0=>'No'], $value, ['class' => 'form-control']) !!}
                                                @if($errors->has('package_features.'.$i.'.value'))
                                                    <span class="help-block">{{ $errors->first('package_features.'.$i.'.value') }}</span>
                                                    @endif
                                        </div>
                                    </div>
                            </div>
                            @php $i++; @endphp
                            @endforeach
                                    </div>

                                </div> <!-- /.row -->
                            </div>


                         

                   
                    <div class="tab-pane {{ !(!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}" id="description_content">
                        <div class="row">
                            @php
                            $priceRanges=$ranges;
                            @$i=1;
                            if(!empty($package)){
                                $existingprices = $package->package_prices->pluck('price','price_range_id')->toArray();
                            }
                            @endphp
                            @foreach($priceRanges as $range)
                                                   @php
                                                   $value='';
                                                   if( !empty($package) && $existingprices && array_key_exists($range->id,$existingprices)){
                       
                                                       $value=$existingprices[$range->id];
                                                   }
                                                   else{
                                                       $value=old("package_prices[$i][price]");
                                                   }
                                                   @endphp
                                                   <div class="form-group required {{ $errors->has('package_prices.'.$i.'.price') ? 'has-error' : '' }}">
                                                       <div class="row">
                                                           <label class="col-md-3 control-label" for="">{{  $range->title }}</label>
                                                           <div class="col-md-3">
                                                                   {{ Form::hidden("package_prices[$i][price_range_id]", $range->id, ['class' => 'form-control']) }}
                                                                   {{ Form::number("package_prices[$i][price]", $value, ['class' => 'form-control','placeholder' => 'Amount'/*,'min'=>$range->min,'max'=>$range->max*/,'min'=>0,'step' => '0.01','readonly' => !empty($package) ? false : false]) }}
                                                                   @if($errors->has('package_prices.'.$i.'.value'))
                                                                       <span class="help-block">{{ $errors->first('package_prices.'.$i.'.price') }}</span>
                                                                       @endif
                                                           </div>
                                               </div>   </div>     
                                               @php $i++; @endphp          
                            @endforeach
                            </div>
                </div>
                </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ route('data.packages', app('request')->query()) }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}
                    </div>
                </div>
            </div>
        </section>
@stop
@section('per_page_style')
<link href="{{ asset('plugins/select2-develop/dist/css/select2.min.css') }}" rel="stylesheet" />
<style>
.ui-sortable-helper {
    display: table;
}
</style>
@stop
@section('per_page_script')
<script>


</script>
@stop
