@extends('layouts.admin.master')

@section('title','packages')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Manage package
            <small>Here you can manage package</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
    </section>
    <section class="content" data-table="Price Range">
            <div class="row Price Range">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List packages') }}</span></h3>
                            <div class="box-tools">
                                <a href="{{url('admin/packages/add')}}" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New package
                                </a>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                                {{ Form::open(['url' => url('admin/packages'),'method' => 'get']) }}
                                <div class="col-md-12">
                                <div class="row">
                                   
                                    <div class="col-md-2 form-group">
                                            {{ Form::select('status', ['' => 'All',1 => 'Active', 0 => 'Inactive'], app('request')->query('status'), ['class' => 'form-control']) }}
                                        </div>
                                    <div class="col-md-5 form-group">
                                        {{ Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: name, email, mobile']) }}
                                    </div>
                                    <div class="col-md-3 form-group">
                                        <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                        <a href="{{ url('admin/packages') }}" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                                    </div>
                                </div>
                            </div>
                        {{ Form::close() }}
                            <table class="table table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                       <th scope="col">Title</th>
                                      <th scope="col" width="18%">created</th>
                                        <th scope="col" class="actions" width="12%">Action</th>
                                    </tr>
                                </thead>
                               
                                        @if($packages->count() > 0)
                                        <tbody>
                                    @php
                                    $i = (($packages->currentPage() - 1) * ($packages->perPage()) + 1)
                                    @endphp
                                    @foreach($packages as $package)
                                        <tr class="row-{{ $i }}">
                                            <td> {{$i}}. </td>
                                            
                                            <td>{{$package->title}}</td>
                                          
                                            <td>{{ $package->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                                            <td class="actions">
                                                <div class="form-group">
                                                     <a href="{{ route('data.packages.view',['id' => $package->id]) }}" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View setting" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a> 
                                                    <a href="{{ url('admin/packages/edit/'.$package->id) }}" class="btn btn-primary btn-sm btn-flat" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                                    <a href="javascript:void(0);" class="confirmDeleteBtn reload btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Delete {{ $package->title }}" data-url="{{ url('admin/packages/delete/'. $package->id) }}" data-title="{{ $package->title }}"><i class="fa fa-trash"></i></a>
                                                </div>
                                            </td>
                                        </tr>
                                    @php
                                        $i++;
                                    @endphp
                                    @endforeach
                                    </tbody>
                                    @else
                                    <tfoot>
                                        <tr>
                                            <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                        </tr>
                                    </tfoot>
                                    @endif
                            </table>
                        </div>
                        <div class="box-footer clearfix">
                            {{ $packages->appends(Request::query())->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
@stop
