@extends('layouts.admin.master')
@section('title','View Package Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Package
        <small>Here you can view package detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'data.packages'],['label' => 'view Package detail']]]) }}
</section>
<section class="content" data-table="emailHooks">
    <div class="listings box">
        <div class="box-header">
            <h3 class="box-title">{{ $package->title }}</h3>
            {{-- <a href="{{ route('admin.subscriptionplans.index', app('request')->query()) }}" class="btn btn-default
            pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a> --}}
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __('Package Title') }}</th>
                    <td>{{ $package->title }}</td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Created') ?></th>
                    <td>{{ $package->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Modified') }}</th>
                    <td>{{ $package->updated_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $package->status ? __('Active') : __('Inactive')  }}</td>
                </tr>
            </table>

        </div>





    </div>

    <div class="listings box">
        <div class="box-header">
            <h3 class="box-title">Package Prices</h3>
        </div>
        <div class="box-body">
            <div class="row">
                <table class="table table-hover table-striped">

                    @foreach($package->package_prices as $price)
                    <tr>
                        <th scope="row">
                          {{ $price->priceRange->title }}
                        </th>
                        <td>${{ $price->price }}</td>
                    </tr>
                    @endforeach
                </table>

            </div>
        </div>
        
    </div>
    <div class="listings box">
        <div class="box-header">
            <h3 class="box-title">Package Features</h3>
        </div>
        <div class="box-body">
            <div class="row">
                <table class="table table-hover table-striped">
                    @foreach($package->package_features as $feature)
                    <tr>
                        <th scope="row">
                            {!! (array_key_exists($feature->title,config::get('constant.package_features')))?config::get('constant.package_features')[$feature->title]:$feature->title !!}
                        </th>
                        <td>{{ ($feature->value)?'Yes':'No' }}</td>
                    </tr>
                    @endforeach
                </table>

            </div>
        </div>
        <div class="box-footer">
            <a href="{{route('data.packages', app('request')->query())}}"
                class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i>
                Back</a>
        </div>
    </div>

</section>

@endsection