<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('advertisementpackagemanager')->group(function() {
    Route::get('/', 'AdvertisementPackageManagerController@index');
});

Route::prefix('admin/packages')->middleware('auth:admin')->namespace('Admin')->group(function () {
    Route::get('/', 'PackageController@index')->name('data.packages');
    Route::get('/add', 'PackageController@create')->name('data.packages.add');
    Route::post('/add', 'PackageController@store')->name('data.packages.store');
    Route::get('/view/{id}', 'PackageController@show')->name('data.packages.view');
    Route::get('/edit/{id}', 'PackageController@edit')->name('data.packages.edit');
    Route::patch('/edit/{id}', 'PackageController@update')->name('data.packages.update');
    Route::any('/delete/{id}', 'PackageController@destroy')->name('data.packages.delete');
   
    //Route::delete('/delete/{id}', 'FaqManagerController@deleteFaq')->name('data.faq.delete');
    //Route::patch('/{id}/edit', 'FaqManagerController@updateFaq')->name('data.bannerscategory.update');
    
});
