<?php

namespace Modules\BannerManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BannerRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|min:2|max:100',
            'status' => 'required',
            'sort_order' => 'required|integer|min:0',
            'banner_images.*.title' => 'required|min:2|max:100',
            'banner_images.*.image' => 'required',
            'banner_images.*.sort_order' => 'required|integer|min:0'
           
        ];
    }
    
     public function messages()
    {
        return [
            'title.required' => 'Please enter title name.',
            'status.required'  => 'Please enter banner category status.',
            'sort_order.required'  => 'Please enter sorting order.',
            'banner_images.*.title.required' => 'Please enter title ',
            'banner_images.*.image.required' => 'Please select image',
            'banner_images.*.sort_order.required' => 'Please enter sorting order',
            'banner_images.*.sort_order.integer' => 'Please enter integer value',
            'banner_images.*.sort_order.min' => 'Please enter sorting order should be atleast 0'
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        \Illuminate\Support\Facades\Session::flash('ValidatorError', 'Oops something went wrong. Please check the required fields and complete them.');
        return parent::failedValidation($validator);
    }
}
