@extends('layouts.admin.master')
@section('title') View Banner @stop
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Manage Banner
                <small>Banner Detail</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{url('admin/dashboard')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="{{route('data.bannerscategory')}}">Banner</a></li>
                <li><a href="javascript:void(0)" class="active">Banner Detail</a></li>
            </ol>
        </section>
        <section class="content" data-table="testimonials">
            <div class="box">

                <div class="box-header"><h3 class="box-title">Banner Detail</h3>
                    <a href="{{route('data.bannerscategory')}}" class="btn btn-default pull-right" title="Cancel"><i
                        class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div>

                <div class="box-body">
                     
                     <table class="table table-hover table-striped">
                        <tbody>
                             
                        
                        <tr>
                            <th scope="row">Title</th>
                            <td>{{$banner->title}}</td>
                        </tr>
                        

                        <tr>
                            <th scope="row">Status</th>
                            <td>@if($banner->status===1)                                             
                                Active
                                 @else
                                 In-Active
                                 @endif
                             </td>
                        </tr>
                         


                        <tr>
                            <th scope="row">Sort Order</th>
                            <td>{!! $banner->sort_order !!}</td>
                        </tr>

                        <tr>
                            <th scope="row">Created</th>
                            <td>{{$banner->created_at}}</td>
                        </tr>
                        <tr>
                            <th scope="row">Modified</th>
                            <td>{{$banner->updated_at}}</td>
                        </tr>
                        
                        <tr>
                                  <div class="col-md-12">
                    <table id="bannewrImages" class="table table-striped table-bordered table-hover">
                        <thead>
                            <tr>
                                <th class="text-left" style="width: 20%;">Title</th>
                                <th class="text-center" style="width: 20%;">Description</th>
                                <th class="text-left" style="width: 20%;">Link</th>
                              
                                <th class="text-right" style="width: 10%;">Image</th>
                                <th class="text-right" style="width: 10%;">Sort Order</th>
                               
                            </tr>
                        </thead>
                        <tbody>
                           @php
                                  
                                  $inc = 0;
                                  
                              @endphp
                              @foreach($banner->banner_images as $images) 
                              
                          <tr id="imageBox" class="imageBox row-{{ $images['id'] }}">
                                       <input type="hidden" name="banner_images[{{ $inc }}][id]" value="{{ $images['id'] }}" />
                                        <td class="text-left  required {{ $errors->has('banner_images.'.$inc.'.title') ? 'has-error' : '' }}">
                                            {{ $images['title'] }}
                                            <!-- <input type="text" name="banner_images[{{ $inc }}][title]" placeholder="Title"   class="form-control" value="{{ $images['title'] }}" /> -->
                                            @if($errors->has('banner_images.'.$inc.'.title'))
                                                <span class="help-block">{{ $errors->first('banner_images.'.$inc.'.title') }}</span>
                                                @endif
                                        </td>
                                        
                                        <td class="text-left  required {{ $errors->has('banner_images.'.$inc.'.description') ? 'has-error' : '' }}">
                                            {{$images['description']}}
                                           <!--  <textarea name="banner_images[{{$inc}}][description]" placeholder="Description" class="form-control">{{$images['description']}}</textarea> -->
                                            
                                        </td>
                                        
                                        <td class="text-left  required {{ $errors->has('banner_images.'.$inc.'.external_link') ? 'has-error' : '' }}">
                                            {{$images['external_link']}}
                                            <!-- <input type="text" name="banner_images[{{$inc}}][external_link]" placeholder="Link" value="{{$images['external_link']}}" class="form-control" /> -->
                                            @if($errors->has('banner_images.'.$inc.'.external_link'))
                                                <span class="help-block">{{ $errors->first('banner_images.'.$inc.'.external_link') }}</span>
                                                @endif
                                        </td>

                                        <td>
                                            @if($images['image'])
                                            <img src="{{url('')}}/storage/banner-images/{{$images['image']}}" style="max-height:100px;">
                                            
                                            <input type="hidden" name="banner_images[{{$inc}}][image]" class="img_hidden" value="{{$images['image']}}" />
                                            
                                            @endif
                                                       
                                        </td>

                                        <td class="text-right  required {{ $errors->has('banner_images.'.$inc.'.sort_order') ? 'has-error' : '' }}">
                                            {{ $images['sort_order'] }}
                                               <!--  <input  type="text" name="banner_images[{{$inc}}][sort_order]" 
                                                value="{{ $images['sort_order'] }}" placeholder="Sort Order" class="form-control" /> -->
                                                @if($errors->has('banner_images.'.$inc.'.sort_order'))
                                                <span class="help-block">{{ $errors->first('banner_images.'.$inc.'.sort_order') }}</span>
                                                @endif
                                        </td>
                                        
                            </tr>
                            @php $inc++ @endphp
                           @endforeach
                          
                        </tbody>
                        
                    </table>
                </div>
                        </tr>
                        
                         
                        
                        </tbody>
                    </table>

                </div>
            </div>
        </section>
@stop
