<?php
namespace Modules\CargoCategoryManager\Entities;

use Illuminate\Database\Eloquent\Model;
use App\Events\Sluggable;

class CargoCategory extends Model
{
    use Sluggable; // Attach the Sluggable trait to the model

    protected $fillable = ["title","slug","description","banner","status"];

    /**
     * Return the sluggable configuration array for this model.
     *
     * @return array
     */

	public function sluggable() {
		return [
            'dbfield' => 'slug',
            'source' => 'title',
		];
	}
}
