<?php

namespace Modules\CargoCategoryManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use \Illuminate\Http\Request;

class GeneralRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
        return [
            'title' => 'required|max:150',
            'slug' => 'unique:cargo_categories,id,' . $request->segment(3),
            'description' => 'required',
            'banner' => 'image|mimes:jpg,png,jpeg|max:5000'
        ];
    }

     /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages()
    {
        return [
            'title.required' => 'Please enter category title!',
            //'slug.required' => 'Please enter setting unique Constant/slug!',
            'slug.unique' => 'Each setting Constant/slug must have a unique Constant/slug! this Constant already added!!',
            'description.required'  => 'Please enter description !',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        \Illuminate\Support\Facades\Session::flash('ValidatorError', 'Oops something went wrong. Please check the required fields and complete them.');
        return parent::failedValidation($validator);
    }
}
