@extends('layouts.admin.master')
@section('title', !empty($settings) ? 'Edit Cargo Category' : 'Add Cargo Category')
@section('content')
@include('layouts.admin.flash.alert')


<style type="text/css">
    input[type=file]{
      display: inline;
    }

    #baanner_preview{
      border: 1px solid black;
      padding: 10px;
    }

    #baanner_preview img{
      width: 200px;
      padding: 5px;
    }
</style>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.2.2/jquery.form.min.js"></script>
       <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Manage Cargo Category
                <small>Here you can {{ !empty($settings) ? 'edit' : 'add' }} category constant/Slug</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{url('admin/dashboard')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="{{route('cargo_category.cargo')}}">{{ __("Categories") }}</a></li>
                <li><a href="javascript:void(0)" class="active">{{ !empty($settings) ? 'Edit Cargo Category' : 'Add Cargo Category' }}</a></li>
            </ol>
        </section>
        <section class="content" data-table="settings">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info settings">

                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($settings) ? 'Edit Cargo Category' : 'Add Cargo Category' }}</h3>
                            <a href="{{route('cargo_category.cargo')}}" class="btn btn-default pull-right" title="Cancel"><i
                                        class="fa fa-fw fa-chevron-circle-left"></i> Back</a></div>
                        <!-- /.box-header -->
                        @if(isset($settings))
                            {{ Form::model($settings, ['route' => ['cargo_category.cargo.update', $settings->id], 'method' => 'patch', 'enctype' => 'multipart/form-data']) }}
                        @else
                         {{ Form::open(['route' => 'cargo_category.cargo.store', 'enctype' => 'multipart/form-data']) }}
                        @endif
                            <div style="display:none;">
                            </div>
                            <div class="box-body">
                                <div class="row">
                                        {{ Form::hidden('manager', 'general') }}
                                    <div class="col-md-12">
                                        <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                            <label for="title">Title</label>
                                            {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                            @if($errors->has('title'))
                                            <span class="help-block">{{ $errors->first('title') }}</span>
                                            @endif
                                        </div>
                                        <div class="form-group {{ $errors->has('slug') ? 'has-error' : '' }}">
                                                <label for="slug">Constant/Slug</label>
                                                {{ Form::text('slug', old('slug'), ['class' => 'form-control','placeholder' => 'Constant/Slug' ,'readonly' => isset($settings) ? true : false]) }}
                                                <p class="help-block">No space, separate each word with underscore. (if you want auto generated then please leave blank)</p>
                                            </div>
                                        <div class="form-group hide">
                                            <div class="input select required">
                                                <label for="field-type">Field Type</label>
                                                <select name="field_type" class="form-control" placeholder="Field Type" required="required" id="field-type">
                                                    <option value="text">Text</option>
                                                    <option value="checkbox">Yes/No</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group required {{ $errors->has('description') ? 'has-error' : '' }}" style="">
                                            <div class="input textarea">
                                                <label for="category_textarea">Description</label>
                                                {{ Form::textarea('description', old('description'), ['class' => 'form-control ckeditor','placeholder' => 'Provide Description', 'rows' => 5]) }}
                                                @if($errors->has('description'))
                                                <span class="help-block">{{ $errors->first('description') }}</span>
                                                @endif
                                            </div>
                                        </div>


                                         <div class="form-group required {{ $errors->has('banner') ? 'has-error' : '' }}" style="">
                                            

                                            <div id="banner_preview">

                                            @if(isset($settings))
                                            @if(empty($settings->banner))
                                            <img src="{{asset('img/no_image.gif')}}" class="img-thumbnail"  style="max-height:100px;" alt="">
                                            @else
                                             <img src="{{ asset('cargo-banner/'.$settings->banner) }}" style="width: 400px;">
                                             @endif
                                            @endif
                                               </div>

                                            <br/>


                                            <div class="input textarea">
                                                <label for="banner_file">Upload Banner</label>
                                                <input type="file" id="banner" name="banner"/>
                                                @if($errors->has('banner'))
                                                <span class="help-block">{{ $errors->first('banner') }}</span>
                                                @endif
                                            </div>
                                        </div>

                                        
                                    </div>
                                </div><!-- /.row -->
                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i
                                            class="fa fa-fw fa-save"></i> Submit
                                </button>
                                <a href="{{route('cargo_category.cargo')}}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                            </div>
                        {{ Form::close() }}
                    </div>
                </div>

<script type="text/javascript">
  jQuery("#banner").change(function(){
     jQuery('#banner_preview').html("");
     var total_file=document.getElementById("banner").files.length;
     for(var i=0;i<total_file;i++)
     {
      jQuery('#banner_preview').append("<img src='"+URL.createObjectURL(event.target.files[i])+"' style='width: 400px'>");
     }
  });
</script>            

</div>
</section>

@stop



