@extends('layouts.admin.master')

@section('title') Cargo Category @stop

@section('per_page_style')

@stop
@section('per_page_script')

@stop
@section('content')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Manage Cargo Category
                <small>Update Cargo Category</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{url('dashboard')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="javascript:void(0)" class="active">Cargo Category</a></li>
            </ol>
        </section>
        <section class="content" data-table="settings">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info settings">

                        <div class="box-header with-border">
                            <h3 class="box-title">Edit Cargo Category</h3>
                            <a href="{{route('category.cargo')}}" class="btn btn-default pull-right" title="Cancel"><i
                                        class="fa fa-fw fa-chevron-circle-left"></i> Back</a></div>
                        <!-- /.box-header -->

                        <form method="post" enctype="multipart/form-data" accept-charset="utf-8" role="form"
                              action="{{route('category.cargo.update',['id' => $settings->id])}}">
                            @csrf
                            @method('PUT')
                            <div style="display:none;">
                            </div>
                            <div class="box-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="input text required"><label for="title">Title</label>
                                                <input type="text" name="title" class="form-control" placeholder="Title" value="@if(isset($settings->title)){{$settings->title}}@endif" required="required" maxlength="150" id="title">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="input text required">
                                                <label for="slug">Constant/Slug</label>
                                                <input type="text" name="slug" class="form-control" value="@if(isset($settings->slug)){{$settings->slug}}@endif" placeholder="Constant/Slug" maxlength="255" id="slug">
                                            </div>
                                            <p class="help-block">No space, separate each word with underscore. (if you
                                                want auto generated then please leave blank)</p>
                                        </div>
                                         

                                        <div class="form-group field-textarea-type" style="">
                                            <div class="input textarea">
                                                <label for="description">Description</label>
                                                <textarea name="description" class="form-control" id="description" placeholder="Description" rows="5">@if(isset($settings->description)){{$settings->description}}@endif</textarea>
                                            </div>
                                        </div>

                                    </div>
                                </div><!-- /.row -->
                            </div><!-- /.box-body -->
                            <div class="box-footer">
                                <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i
                                            class="fa fa-fw fa-save"></i> Submit
                                </button>
                                <a href="{{route('category.cargo')}}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                            </div>
                        </form>
                    </div>
                </div>

                 

            </div>
        </section>
@stop