@extends('layouts.admin.master')

@section('title') Categories @stop
@section('content')
@include('layouts.admin.flash.alert')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Manage Cargo Category
                <small>Here you can manage the cargo categories</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{url('admin/dashboard')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="{{route('cargo_category.cargo')}}" class="active">Cargo Categories</a></li>
            </ol>
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase">List Cargo Category</span></h3>
                            <div class="box-tools">
                                <a href="{{route('cargo_category.cargo.add')}}" class="btn btn-success btn-flat btn-sm"><i class="fa fa-plus"></i> New Cargo Category</a>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th scope="col"><a href="{{ URL::route('cargo_category.cargo',['sort' => 'title','direction'=> request()->direction == 'asc' ? 'desc' : 'asc']) }}">Title</a></th>
                                    <th scope="col"><a href="{{ URL::route('cargo_category.cargo',['sort' => 'slug','direction'=> request()->direction == 'asc' ? 'desc' : 'asc']) }}">Constant</a></th>
                                    <th scope="col">Description</th>
                                    <th scope="col" class="actions" style="width: 15%;">Actions</th>
                                </tr>
                                </thead>
                                    @if($settings->count() > 0)
                                    <tbody>
                                @php
                                $i = (($settings->currentPage() - 1) * ($settings->perPage()) + 1)
                                @endphp
                                @foreach($settings as $setting)
                                    <tr class="row-{{ $setting->id }}">
                                        <td> {{$i}}. </td>
                                        <td>{{$setting->title}}</td>
                                        <td>{{$setting->slug}}</td>
                                        <td>{!! $setting->description !!}</td>
                                        <td class="actions">
                                             
                                                <a href="{{ route('cargo_category.cargo.view',$setting->id)}}" class="btn btn-warning btn-sm" data-toggle="tooltip" alt="View Category" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a>&nbsp;&nbsp;
                                                <a href="{{ route('cargo_category.cargo.edit',$setting->id)}}" class="btn btn-primary btn-sm" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                                &nbsp;&nbsp;
                                                  

                                                  <a href="javascript:void(0);" class="confirmDeleteBtn btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Cargo Category" data-url="{{ route('cargo_category.cargo.delete', $setting->id) }}" data-title="Cargo Category"><i class="fa fa-trash"></i></a>



                                             
                                        </td>
                                    </tr>
                                @php
                                    $i++;
                                @endphp
                                @endforeach
                                </tbody>
                                @else
                                <tfoot>
                                    <tr>
                                        <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                    </tr>
                                </tfoot>
                                @endif
                            </table>
                        </div>
                        <div class="box-footer clearfix">
                            {{$settings->appends(Request::query())->links()}}
                         </div>
                    </div>
                </div>
                
            </div>
        </section>
@stop
