<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

Route::prefix('admin/cargo_categories')->middleware('auth:admin')->namespace('Admin')->group(function () {
    Route::get('cargo', 'CargoCategoryManagerController@getCargoCategory')->name('cargo_category.cargo');
    Route::get('cargo/add', 'CargoCategoryManagerController@addCargoCategory')->name('cargo_category.cargo.add');
    Route::post('cargo/add', 'CargoCategoryManagerController@storeCargoCategory')->name('cargo_category.cargo.store');
    Route::get('cargo/view/{id}', 'CargoCategoryManagerController@showCargoCategory')->name('cargo_category.cargo.view');
    Route::get('cargo/edit/{id}', 'CargoCategoryManagerController@editCargoCategory')->name('cargo_category.cargo.edit');
    Route::get('cargo/delete/{id}', 'CargoCategoryManagerController@deleteCargoCategory')->name('cargo_category.cargo.delete');
    Route::delete('cargo/delete/{id}', 'CargoCategoryManagerController@deleteCargoCategory')->name('cargo_category.cargo.delete');
    Route::patch('cargo/{id}/edit', 'CargoCategoryManagerController@updateCargoCategory')->name('cargo_category.cargo.update');
});