<?php

namespace Modules\CategoryManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use \Illuminate\Http\Request;

class CategoryRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
       // dd($request->segment(3));
        return [
            'title' => 'required|min:2|max:100',
           // 'slug' => 'nullable',
            'status' => 'required',
            'meta_title' => 'required|max:250',
            'meta_keyword' => 'required|max:250',
            'meta_description' => 'required',
        ];
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages()
    {
        return [
            'title.required'  => 'Category Title is required field.',
            //'slug.required' => 'Please enter category slug!',
            //'slug.unique' => 'Each category must have a unique slug! this category slug already created!!',
            'meta_title.required'  => 'Please enter meta title.',
            'meta_keyword.required'  => 'Please enter meta keyword.',
            'meta_description.required'  => 'Please enter meta description.',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
