@extends('layouts.admin.master')
@section('title','View Category Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Categories
        <small>Here you can view Category detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.pages.index'],['label' => 'View Category Detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="box">
        <div class="box-header"><h3 class="box-title">{{ $category->title }}</h3>
            {{-- <a href="{{route('admin.pages.index')}}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a> --}}
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __('Title') }}</th>
                    <td>{{ $category->title }}</td>
                </tr>


                <tr>
                    <th scope="row">{{ __('Slug') }}</th>
                    <td>{{ $category->slug }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Meta Title') }}</th>
                    <td>{{ $category->meta_title }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Meta Keyword') }}</th>
                    <td>{{ $category->meta_keyword }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Meta Description') }}</th>
                    <td>{{ $category->meta_description }}</td>
                </tr>

                <tr>
                    <th scope="row"><?= __('Created') ?></th>
                    <td>{{ $category->created_at->toFormattedDateString() }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Modified') }}</th>
                    <td>{{ $category->updated_at->toFormattedDateString() }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $category->status ? __('Active') : __('Inactive')  }}</td>
                </tr>
            </table>
            
        </div>
        <div class="box-footer">
                <a href="{{route('admin.categories')}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
    </div>
</section>

@endsection
