<?php

namespace Modules\InterestManager\Http\Controllers\API;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
//use Illuminate\Support\Facades\DB;
use Modules\InterestManager\Http\Controllers\API\BaseController as BaseController;
use Modules\SettingManager\Entities\Setting;
use Modules\CmsManager\Entities\Page;
use Modules\CmsManager\Entities\PageImage;
use Modules\LocationManager\Entities\Location;
use Modules\InterestManager\Entities\PointInterest;
use Modules\InterestManager\Entities\InterestAudio;
use Modules\InterestManager\Entities\InterestImage;
use Modules\InterestManager\Entities\InterestVideo;
use Modules\InterestManager\Http\Requests\InterestRequest;

class InterestController extends BaseController {

    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index() {

        /* Get all header */
        if (!is_array($_SERVER)) {
            return array();
        }
        $headers = array();
        foreach ($_SERVER as $name => $value) {
            if (substr($name, 0, 5) == 'HTTP_') {
                $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
            }
        }
        /* Get all header */

        // Get image path 
        /* $imagePath = Configure::read('App.fullBaseUrl') . $this->request->webroot;
          $this->_dir = str_replace("\\", "/", $imagePath . $this->Services->_dir); */
        ######## CMS pages #############		
        $pages = Page::where('status', '=', 1)->orderBy('created_at', 'desc')->with(['page_images'])->get();
        if (!empty($pages)) {

            $settings = Setting::whereIn('slug', ['footer-link', 'map-overlay'])->get();
            $setting = collect($settings->toArray())->all();
            //dd($setting);
            if (!empty($setting)) {
                $filtered_data['map_overlay'] = $setting[1]['config_value'];
                $filtered_data['footer_link'] = $setting[0]['config_value'];
            }


            $filtered_data['page_image_path'] = asset('storage/pages/');
            $filtered_data['pages'] = collect($pages->toArray())->all();
        }
        ############# Location ################
        $locations = Location::where('status', '=', 1)->orderBy('created_at', 'desc')->get();
        if (!empty($locations)) {
            $filtered_data['locations'] = collect($locations->toArray())->all();
        }
        ############# Interest ################
        $allowed_columns = ['id', 'title'];
        $sort = in_array(request('sort'), $allowed_columns) ? request('sort') : 'created_at';
        $order = request('direction') === 'asc' ? 'asc' : 'desc';
        $interests = PointInterest::where(['status' => 1, 'type' => 'interest'])->with(['interest_images', 'interest_audios', 'locations', 'interest_videos'])->orderBy($sort, $order)->get();
        if (!empty($interests)) {
            $filtered_data['interest_image_path'] = asset('storage/interest/');
            $filtered_data['interest'] = collect($interests->toArray())->all();
        }

        ############# Section ################

        $sections = PointInterest::where(['status' => 1, 'type' => 'section'])->with(['interest_images', 'interest_audios', 'locations', 'interest_videos'])->orderBy($sort, $order)->get();
        if (!empty($sections)) {
            $filtered_data['section_image_path'] = asset('storage/interest/');
            $filtered_data['section'] = collect($sections->toArray())->all();
        }
        return $this->sendResponse($filtered_data, 'Interest retrieved successfully.');
    }

    public function settings() {

        /* Get all header */
        /*  if (!is_array($_SERVER)) {
          return array();
          }
          $headers = array();
          foreach ($_SERVER as $name => $value) {
          if (substr($name, 0, 5) == 'HTTP_') {
          $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
          }
          } */
        /* Get all header */

        // Get image path 
        /* $imagePath = Configure::read('App.fullBaseUrl') . $this->request->webroot;
          $this->_dir = str_replace("\\", "/", $imagePath . $this->Services->_dir); */
        ######## CMS pages #############		
        $settings = Setting::whereIn('slug', ['DATA_VERSION', 'API_VERSION'])->get();
        $setting = collect($settings->toArray())->all();
        //dd($setting);
        if (!empty($setting)) {
            $filtered_data['api_version'] = $setting[0]['config_value'];
            $filtered_data['data_version'] = $setting[1]['config_value'];
        }

        return $this->sendResponse($filtered_data, 'Setting retrieved successfully.');
    }

}
