<?php

namespace Modules\InterestManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use \Illuminate\Http\Request;

class InterestRequest extends FormRequest
{

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request) {
        return [
            'title'                => 'required|min:3|max:250', 
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages() {
        return [
            'title.required'           => 'The product name  is required.',
          //  'title.not_empty_html'  => 'HTML tag not allowed. please enter valid string.',
            'title.min'                => 'The product name must be at least 3 characters long.',
            /* 'category_id.required'     => 'The product group field is required.',
            'country_id.required'     => 'The country field is required.',
            'product_type_id.required' => 'The product type field is required.',
            'full_address.required'    => 'The address is required field.',
            'latitude.required_with'    => 'The address is invalid please try again.',
            'longitude.required_with'    => 'The address is invalid please try again',
            'longitude.required'    => 'The address is invalid please try again.',
            'amount.regex'             => 'The amount format is invalid. amount format should be i.g. 12 or 12.5 or 12.05.',
            'product_images.required'  => 'The product images is required.', */
        ];
    }

}
