@extends('layouts.admin.master')
@section('title', !empty($interest) ? 'Edit Interest' : 'Add Interest')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (interest header) -->
    <section class="content-header">
        <h1>
            Manage interests
            <small>Here you can manage {{ !empty($interest) ? 'edit interest' : 'add interest' }}</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.interests.index'],['label' => !empty($interest) ? 'Edit interest' : 'Add interest' ]]]) }}
    </section>
    <section class="content" data-table="interests">

            <div class="row interests">
                <div class="col-md-12">

                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($interest) ? 'Edit Interest' : 'Add Interest' }} </h3>
                            <a href="{{ route('admin.interests.index', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->
                @if(isset($interest))
                @php
                    $queryStr['id'] = $interest->id;
                    $queryStr = array_merge( $queryStr , app('request')->query());
                @endphp
                    {{ Form::model($interest, ['url' => route('admin.interests.update', $queryStr) , 'method' => 'patch','enctype'=>'multipart/form-data']) }}
                @else
                    {{ Form::open(['url' => route('admin.interests.store', app('request')->query()),'enctype'=>'multipart/form-data']) }}
                @endif
                <div class="box-body">
                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "" : "active" }}">
								<a href="#g_details" data-toggle="tab" aria-expanded="true">General Detail</a></li>                               
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "active" : "" }}"><a href="#p_images" data-toggle="tab" aria-expanded="false">Images</a></li>
								 <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_audios'))) ? "active" : "" }}"><a href="#p_audios" data-toggle="tab" aria-expanded="false">Audio</a></li>
								  <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_videos'))) ? "active" : "" }}"><a href="#p_videos" data-toggle="tab" aria-expanded="false">Video</a></li>
                        </ul>
                    <div class="tab-content">
                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "" : "active" }}" id="g_details">
                            <div class="row">						
                                   
									 <div class="col-md-6">  
                                        <div class="form-group">
											<div class="row">
												<label class="col-md-3 control-label" for="title">Location</label>
												<div class="col-md-9">
												  {{ Form::select('location_id', $locations, old('location_id'), ['class' => 'form-control', 'placeholder' => 'Select Location']) }}
												</div>
											</div>
                                        </div>
										</div>
                                    <div class="col-md-6">  
                                        <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="title">Title</label>
                                                    <div class="col-md-9">
                                                        {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                                        @if($errors->has('title'))
                                                        <span class="help-block">{{ $errors->first('title') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div>
									</div>
							</div>
							<div class="row">
								 <div class="col-md-6">  
									<div class="form-group ">
											<div class="row">
												<label class="col-md-3 control-label" for="title">Latitude</label>
												<div class="col-md-9">
													{{ Form::text('latitude', old('latitude'), ['id' => 'latitude', 'class' => 'form-control' ,'placeholder' => 'Latitude']) }}
															
												</div>
											</div>
									</div>
								</div>
								 <div class="col-md-6">  
									<div class="form-group ">
											<div class="row">
												<label class="col-md-3 control-label" for="title">Longitude</label>
												<div class="col-md-9">
													 {{ Form::text('longitude', old('longitude'), ['id' => 'longitude', 'class' => 'form-control' ,'placeholder' => 'Longitude']) }}
														  
												</div>
											</div>
									</div>
								</div>
							</div>
							<div class="row">
								 <div class="col-md-6">  
										<div class="form-group ">
												<div class="row">
													<label class="col-md-3 control-label" for="title">Sort Order</label>
													<div class="col-md-9">
														 {{ Form::text('sort_order', old('sort_order'), ['id' => 'sort_order', 'class' => 'form-control' ,'placeholder' => 'Sort Order']) }}
															  
													</div>
												</div>
										</div>
									</div>
                                   <div class="col-md-6">  
                                        <div class="form-group {{ $errors->has('status') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Status</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}
                                                    </div>
                                                </div>   
										</div> 
									</div> <!-- /.row -->
							</div> 
									<div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="description">Cobb & Co History</label>
                                                    {{ Form::textarea('description', old('description'), ['class' => 'form-control ckeditor','placeholder' => 'Description/History', 'rows' => 4]) }}                                                   
                                                </div>


                                            </div>
                                        </div>	
					
					</div>                           

                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "active" : "" }}" id="p_images">
                                    <div class="row fontawesome-icon-list">
                                            <div class="col-md-12">
                                                @if($errors->has('interest_images'))
                                                    <div class="alert alert-danger">
                                                            <button type="button" class="close" data-dismiss="alert">×</button>
                                                            <ul>
                                                                        <li>{{ $errors->first('interest_images') }}</li>

                                                            </ul>
                                                        </div>
                                                        @endif
                                                <h4 class="page-header">Images</h4>

                                                <div class="row">
                                                    <div class="col-md-3 pull-left form-group">
                                                        <div id="filecontainer">
                                                            <a href="javascript:void(0);" class="btn btn-flat btn-success" id="pickfiles"><i class="fa fa-cloud-upload"></i> Select Images</a>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-12" style="display:block;">
                                                        <div id="faildToupload"></div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <table class="table table-striped galleryTable" style="margin-top: 30px;">
                                                            <tbody id="listingimage">
                                                                @php
                                                                    $inc = 0;
																	
                                                                @endphp
                                                                @if(isset($interest->interest_images) || old('interest_images'))


                                                                @php
                                                                    $interest_images = old('interest_images') ? old('interest_images') : $interest->interest_images;
                                                                    //dump($interest_images);die;
                                                                @endphp

                                                                @foreach ($interest_images as $key => $limage)
                                                                @php
                                                                if(!is_object($limage))
                                                                $limage = (object) $limage;
                                                                $idc = !empty($limage->id) ? $limage->id : $inc;
                                                                @endphp
                                                                <tr id="limage_{{ $idc }}">                                                                   
                                                                        <td>
                                                                                @if (old('interest_images.'.$key.'.image'))
                                                                                @php
                                                                                    $filename = old('interest_images.'.$key.'.image');
                                                                                    if(old('interest_images.'.$key.'.id'))
                                                                                        $filepath = '/storage/interest/';
                                                                                    else
                                                                                        $filepath =  "/storage/temp/";
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filename = isset($limage->image) ? $limage->image : "";
                                                                                    $filepath = '/storage/interest/';
                                                                                @endphp
                                                                            @endif

                                                                                @if(!empty($filename) && file_exists( public_path() . $filepath . $filename))
                                                                                @php $imageurl=\App\Helpers\MenuHelpers::imageUrl(url($filepath. $filename),'274','180','100') @endphp
                                                                                <img class="img-responsive" src="{{ $imageurl}}" alt="" style="max-height:80px;">
                                                                                    @else
                                                                                    <img src="{{asset('img/no_image.gif')}}" alt="" height="80" style="max-height:80px;">
                                                                                    @endif
                                                                                    {{ Form::hidden('interest_images['.$inc.'][image]',old('interest_images.'.$inc.'.image')?old('interest_images.'.$inc.'.image'):$limage->image,['class'=>'form-control']) }}
                                                                                   @if (isset($limage->id) && !empty($limage->id))
                                                                                    {{ Form::hidden('interest_images['.$inc.'][id]',old('interest_images.'.$inc.'.id')?old('interest_images.'.$inc.'.id'):$limage->id,['class'=>'form-control']) }}
                                                                                    @endif
                                                                            </td>
																			<td>				
																			 {{ Form::textarea('interest_images['.$inc.'][caption]',old('interest_images.'. $inc .'.caption')?old('interest_images.'. $inc .'.caption'):$limage->caption,['class'=>'form-control' ,'placeholder'=>'Image Caption','rows'=>'4']) }}
																			</td>
																			<td>				
																			 {{ Form::select('interest_images['.$inc.'][image_type]',$image_type,old('interest_images.'. $inc .'.image_type')?old('interest_images.'. $inc .'.image_type'):$limage->image_type,['class'=>'form-control']) }}
																			</td>                                                                     
                                                                        <td>
                                                                            @if(!empty($limage->id))
                                                                                <a href="javascript:;" onclick="deleteimage({{ $limage->id }}, '{{ $limage->image }}');" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @else
                                                                                <a href="javascript:;" onclick="$('#limage_{{ $idc }}').remove();" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @endif
                                                                        </td>
                                                                    </tr>
                                                                    @php
                                                                        $inc++;
                                                                    @endphp
                                                                @endforeach

                                                                @else
                                                                <tr id="chooseImg">
                                                                        <td colspan="4" align="center"><strong>Please Select Images and Upload</strong></td>
                                                                    </tr>
                                                                @endif

                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
												
												

                                            </div>
                                        </div>

                            </div>
							<!-- Audio -->
							<div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_audios'))) ? "active" : "" }}" id="p_audios">
                                    <div class="row fontawesome-icon-list">
                                            <div class="col-md-12">
                                                @if($errors->has('interest_audios'))
                                                    <div class="alert alert-danger">
                                                            <button type="button" class="close" data-dismiss="alert">×</button>
                                                            <ul>
                                                                        <li>{{ $errors->first('interest_audios') }}</li>

                                                            </ul>
                                                        </div>
                                                        @endif
                                                <h4 class="page-header">Audio</h4>
                                                <div class="row">
                                                    <div class="col-md-12" style="display:block;">
                                                        <div id="faildToupload"></div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <table class="table table-striped galleryTable" style="margin-top: 30px;">
                                                            <thead>
															<tr>
																<td colspan="2"><b>Audio file</b></td>
																<td><b>Audio Type</b></td>
																<td><b>Audio Description</b></td></tr>															
															</thead>
															<tbody id="listingaudio">
                                                                @php
                                                                    $inc = 0;
																	
																	$count_audio=isset($interest->interest_audios)&& count($interest->interest_audios)>0 ?count($interest->interest_audios):0;																	
                                                                @endphp
                                                                @if((isset($interest->interest_audios) && count($interest->interest_audios)>0) || old('interest_audios'))
                                                                @php
                                                                    $interest_audios = old('interest_audios') ? old('interest_audios') : $interest->interest_audios;
                                                                  
                                                                @endphp

                                                                @foreach ($interest_audios as $key => $laudio)
                                                                @php
                                                                if(!is_object($laudio))
                                                                $laudio = (object) $laudio;
                                                                $idc = !empty($laudio->id) ? $laudio->id : $inc;
                                                                @endphp
                                                                <tr id="laudio_{{ $idc }}">                                                                    
                                                                  <td colspan="2"> {!! Form::file('interest_audios['.$inc.'][audio]') !!}
                                                                                @if (old('interest_audios.'.$key.'audio'))
                                                                                @php
                                                                                    $filename = old('interest_audios.'.$key.'.audio');
                                                                                    if(old('interest_audios.'.$key.'.id'))
                                                                                        $filepath = '/storage/interest/';
                                                                                    else
                                                                                        $filepath =  "/storage/temp/";
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filename = isset($laudio->audio) ? $laudio->audio : "";
                                                                                    $filepath = '/storage/interest/';
                                                                                @endphp
                                                                            @endif

                                                                                @if(!empty($filename) && file_exists( public_path() . $filepath . $filename))
																					{{ url($filepath. $filename)}}                                                                                
                                                                                   
                                                                                    @endif
                                                                                    {{ Form::hidden('interest_audios['.$inc.'][audio]','',['class'=>'form-control']) }}
                                                                                   @if (isset($laudio->id) && !empty($laudio->id))
                                                                                    {{ Form::hidden('interest_audios['.$inc.'][id]',old('interest_audios.'.$inc.'.id')?old('interest_audios.'.$inc.'.id'):$laudio->id,['class'=>'form-control']) }}
                                                                                    @endif
																	</td>
																	<td>																	
																		{{ Form::select('interest_audios['.$inc.'][image_type]',$image_type,old('interest_audios.'.$inc.'.image_type')?old('interest_audios.'. $inc .'.image_type'):$laudio->image_type,['class'=>'form-control']) }}
																	</td>
																	<td>
																		{{ Form::textarea('interest_audios['.$inc.'][audio_description]', old('interest_audios.'.$inc.'.audio_description.')?old('interest_audios.'.$inc.'.audio_description.'):$laudio->audio_description, ['class' => 'form-control ','placeholder' => 'Audio Description','rows'=>4]) }}	
																	
																	</td>
																		                                                                        
                                                                        <td>
                                                                            @if(!empty($laudio->id))
                                                                                <a href="javascript:;" onclick="deleteaudio({{ $laudio->id }}, '{{ $laudio->audio }}');" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @else
                                                                                <a href="javascript:;" onclick="$('#laudio_{{ $idc }}').remove();" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @endif
                                                                        </td>
                                                                    </tr>
                                                                    @php
                                                                        $inc++;
                                                                    @endphp
                                                                @endforeach                                                               
																@else
																	@php
																	$i=0;
																@endphp																
                                                                <tr id="chooseImg">                                                                    
                                                                    <td colspan="2"> {!! Form::file('interest_audios['.$i.'][audio]') !!}</td>																	
																	<td>				
																		{{ Form::select('interest_audios['.$i.'][image_type]',$image_type,['class'=>'form-control']) }}
																	</td>
																    <td>	
																		{{ Form::textarea('interest_audios['.$i.'][audio_description]','', ['class' => 'form-control','placeholder' => 'Audio Description','rows'=>'4']) }}	
																		
																	</td>
                                                                </tr>																	
                                                                @endif																
                                                            </tbody>
															<tr>
															{{ Form::hidden('audio_count',$count_audio) }}
															<td colspan="5"><button type="button" name="addaudio" id="add_audio" class="btn btn-success">Add More</button></td></tr>
                                                        </table>
                                                    </div>
                                                </div>
												
												

                                            </div>
                                        </div>

                            </div>							
							<!-- Audio -->	
							
							<!-- Video -->
								
							<div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_videos'))) ? "active" : "" }}" id="p_videos">
                                    <div class="row fontawesome-icon-list">
                                            <div class="col-md-12">
                                                @if($errors->has('interest_videos'))
                                                    <div class="alert alert-danger">
                                                            <button type="button" class="close" data-dismiss="alert">×</button>
                                                            <ul>
                                                                        <li>{{ $errors->first('interest_videos') }}</li>

                                                            </ul>
                                                        </div>
                                                        @endif
                                                <h4 class="page-header">Videos</h4>
                                                <div class="row">
                                                    <div class="col-md-12" style="display:block;">
                                                        <div id="faildToupload"></div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <table class="table table-striped galleryTable" style="margin-top: 30px;">
															<thead>
																<tr>
																<td colspan="2"><b>Video file</b></td>
																<td><b>Youtube video Id</b></td>																
																<td><b>Video Type</b></td></tr>															
															</thead>
                                                            <tbody id="listingvideo">
                                                                @php
                                                                    $inc = 0;	
																	//$count_video=count($interest->interest_videos);	
																	$count_video=isset($interest->interest_videos)&& count($interest->interest_videos)>0 ?count($interest->interest_videos):0;																			
                                                                @endphp
                                                                @if((isset($interest->interest_videos) && count($interest->interest_videos)>0) || old('interest_videos'))


                                                                @php
                                                                    $interest_videos = old('interest_videos') ? old('interest_videos') : $interest->interest_videos;
                                                                    //dump($interest_videos);die;
                                                                @endphp

                                                                @foreach ($interest_videos as $key => $lvideo)
                                                                @php
                                                                if(!is_object($lvideo))
                                                                $lvideo = (object) $lvideo;
                                                                $idc = !empty($lvideo->id) ? $lvideo->id : $inc;
                                                                @endphp
                                                                <tr id="lvideo_{{ $idc }}">
                                                                   <td colspan="2"> {!! Form::file('interest_videos['.$inc.'][video]') !!}
                                                                                @if (old('interest_videos.'.$key.'video'))
                                                                                @php
                                                                                    $filename = old('interest_videos.'.$key.'.video');
                                                                                    if(old('interest_videos.'.$key.'.id'))
                                                                                        $filepath = '/storage/interest/';
                                                                                    else
                                                                                        $filepath =  "/storage/temp/";
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filename = isset($lvideo->video) ? $lvideo->video : "";
                                                                                    $filepath = '/storage/interest/';
                                                                                @endphp
                                                                            @endif

                                                                                @if(!empty($filename) && file_exists( public_path() . $filepath . $filename))
																				{{url($filepath. $filename)}}                                                                                
                                                                                    
                                                                                    @endif
                                                                                    {{ Form::hidden('interest_videos['.$inc.'][video]','',['class'=>'form-control']) }}
                                                                                   @if (isset($lvideo->id) && !empty($lvideo->id))
                                                                                    {{ Form::hidden('interest_videos['.$inc.'][id]',old('interest_videos.'.$inc.'.id')?old('interest_videos.'.$inc.'.id'):$lvideo->id,['class'=>'form-control']) }}
                                                                                    @endif
                                                                            </td>
																			<td>				
																			 {{ Form::text('interest_videos['.$inc.'][video_id]',old('interest_videos.'. $inc .'.video_id')?old('interest_videos.'. $inc .'.video_id'):$lvideo->video_id,['class'=>'form-control','placeholder'=>'Youtube Video Id']) }}
																			 
																			 
																			</td>
																			<td>				
																			 {{ Form::select('interest_videos['.$inc.'][image_type]',$image_type,old('interest_videos.'. $inc .'.image_type')?old('interest_videos.'. $inc .'.image_type'):$lvideo->image_type,['class'=>'form-control']) }}
																			</td>
																			
                                                                        <td>
                                                                            @if(!empty($lvideo->id))
                                                                                <a href="javascript:;" onclick="deletevideo({{ $lvideo->id }}, '{{ $lvideo->video }}');" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @else
                                                                                <a href="javascript:;" onclick="$('#lvideo_{{ $idc }}').remove();" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @endif
                                                                        </td>
                                                                    </tr>
                                                                    @php
                                                                        $inc++;
                                                                    @endphp
                                                                @endforeach

                                                                @else		
																@php
																	$i=0;
																@endphp																		
                                                                <tr id="chooseImg">                                                                        
                                                                        <td colspan="2"> {!! Form::file('interest_videos['.$i.'][video]') !!}</td>
																		<td>				
																			 {{ Form::text('interest_videos['.$i.'][video_id]',old('interest_videos.'. $i .'.video_id')?old('interest_videos.'. $i .'.video_id'):'',['class'=>'form-control','placeholder'=>'Youtube Video Id']) }}
																		</td>
																		<td>				
																			 {{ Form::select('interest_videos['.$i.'][image_type]',$image_type,old('interest_videos.'. $i .'.image_type')?old('interest_videos.'. $i .'.image_type'):'',['class'=>'form-control']) }}
																		</td>																		
                                                                </tr>																	
                                                                @endif																
                                                            </tbody>
															<tr><td colspan="5">{{ Form::hidden('video_count',$count_video) }}<button type="button" name="add" id="add" class="btn btn-success">Add More</button></td></tr>
                                                        </table>
                                                    </div>
                                                </div>
												
												

                                            </div>
                                        </div>

                            </div>
							
							<!-- Video -->
                    </div>
                </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ route('admin.interests.index', app('request')->query()) }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}
                    </div>
                </div>
            </div>
        </section>
@stop
@section('per_page_style')
<!--<link href="{{ asset('plugins/select2-develop/dist/css/select2.min.css') }}" rel="stylesheet" />-->
<style>
.ui-sortable-helper {
    display: table;
}
</style>
@stop

@section('per_page_script')
<!--<script src="{{ asset('plugins/select2-develop/dist/js/select2.min.js') }}"></script>-->
<script src="{{ asset('plugins/plupload/js/plupload.full.min.js') }}"></script>
<script>
 /*  $(".datepicker").datepicker();
  $( function() {
		$( "tbody#listingimage" ).sortable({
			handle: 'i.fa-arrows',
		});
   });  */  
   $(document).ready(function(){ 
     
	 // BOF Add new row for videos,audios
	 var j=$("input[name=audio_count]").val();
	 var i=$("input[name=video_count]").val();	
	
	 $('#add_audio').click(function(){  	  
	  j++;
	   var imgHtm = '';
		imgHtm += '<tr id="chooseAudio'+j+'"> ';
		imgHtm += '<td colspan="2"> <input type="file" name="interest_audios[' + j + '][audio]"></td>';
		imgHtm += '<td> <select class="form-control" name="interest_audios[' + j + '][image_type]"><option value="main">Main</option><option value="plaque">Plaque</option><option value="festival">Festival</option><option value="local">Local</option></select></td>';
		imgHtm += '<td> <textarea rows="4" class="form-control" name="interest_audios[' + j + '][audio_description]" placeholder="Audio Description"></textarea></td>';
		imgHtm += '<td><button type="button" name="remove" id="'+j+'" class="btn btn-default btn-sm btn_remove"><i class="fa fa-times"></i>Remove</button></td>';
		imgHtm += '</tr>';
		$("tbody#listingaudio").append(imgHtm);
	   
	 /*   $('tbody#listingaudio').append('<tr id="chooseImg'+j+'" class="dynamic-added"> <td style="text-align: center; vertical-align: middle; font-size:22px;"> <i class="fa fa-arrows"></i> </td><td><input type="text" name="name[]" placeholder="Enter your Name" class="form-control name_list" /></td><td><button type="button" name="remove" id="'+j+'" class="btn btn-danger btn_remove">X</button></td></tr>');  */ 
    });
	 
	 // Add Video
	 
	 $('#add').click(function(){  
	   i++;  
	    var imgHtm = '';
		imgHtm += '<tr id="chooseVideo'+i+'"> ';
		imgHtm += '<td colspan="2"> <input type="file" name="interest_videos[' + i + '][video]"></td>';
		imgHtm += '<td> <input type="text" class="form-control" name="interest_videos[' + i + '][video_id]" placeholder="Youtube Video id" /></td>';
		imgHtm += '<td> <select class="form-control" name="interest_videos[' + i + '][image_type]"><option value="main">Main</option><option value="plaque">Plaque</option><option value="festival">Festival</option><option value="local">Local</option></select></td>';
		
		imgHtm += '<td><button type="button" name="remove" id="'+i+'" class="btn btn-default btn-sm btn_removevideo"><i class="fa fa-times"></i>Remove</button></td>';
		imgHtm += '</tr>';
		$("tbody#listingvideo").append(imgHtm);	   
    });
	
	  $(document).on('click', '.btn_remove', function(){  

	   var button_id = $(this).attr("id");   
	   $('#chooseAudio'+button_id+'').remove();  

  });  
  
  $(document).on('click', '.btn_removevideo', function(){  

	   var button_id = $(this).attr("id");   
	   $('#chooseVideo'+button_id+'').remove();  

  });  
     
   });  
   // EOD Add new row for videos,audios
   function deleteimage(id){
        $.ajax({
            type: "DELETE",
            url: "{{ route('admin.deleteImage') }}",
            data: {id: id},
            dataType: "JSON",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
             },
            success: function (data) {
               if (data.status == true) {
                    $("#limage_" + id).remove();
                }
               // alert(data.message);
            }
        });
	}
	
	function deleteaudio(id){		
        $.ajax({
            type: "DELETE",
            url: "{{ route('admin.deleteAudio') }}",
            data: {id: id},
            dataType: "JSON",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
             },
            success: function (data) {
               if (data.status == true) {
                    $("#laudio_" + id).remove();
                }
               // alert(data.message);
            }
        });
	}

	
	function deletevideo(id){
        $.ajax({
            type: "DELETE",
            url: "{{ route('admin.deleteVideo') }}",
            data: {id: id},
            dataType: "JSON",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
             },
            success: function (data) {
               if (data.status == true) {
                    $("#lvideo_" + id).remove();
                }
               // alert(data.message);
            }
        });
	}

  


 

    var uploader = new plupload.Uploader({
	runtimes : 'html5,flash,silverlight,html4',
	browse_button : 'pickfiles', // you can pass an id...
	container: document.getElementById('filecontainer'), // ... or DOM Element itself
	url : '{{ route('admin.tempcrop') }}',
	flash_swf_url : '{{ asset('plugins/plupload/js/Moxie.swf') }}',
	silverlight_xap_url : '{{ asset('plugins/plupload/js/Moxie.xap') }}',
	filters : {
		max_file_size : '3mb',
		mime_types: [
			{title : "Image files", extensions : "jpg,png,jpeg"},
			{title : "Zip files", extensions : "zip"}
		]
	},
    dragdrop: true,
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
         Accept: "application/json",
    },
    resize : {width : 320, height : 240, quality : 90},
	init: {
		PostInit: function() {
			
			document.getElementById('faildToupload').innerHTML = '';

//			document.getElementById('uploadfiles').onclick = function() {
//				uploader.start();
//				return false;
//			};
		},
		FilesAdded: function(up, files) {
            uploader.start();
            plupload.each(files, function(file) {
				//document.getElementById('faildToupload').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
			});
		},
        FileUploaded: function (up, file, response) {
                var response = $.parseJSON(response.response);
                var imgHtm = '';
                var imgpath = '';
                if (response.status === true) {
                    document.getElementById('faildToupload').innerHTML = '';
                    if (response.data.full_path) {
                        imgpath = response.data.full_path;
                    }
                    imgHtm += '<tr id="limage_' + file.id + '"> ';                    
                    imgHtm += '<td> <img src="'+ response.data.full_path +'" style="max-height:80px;"><input class="form-control" type="hidden" name="interest_images[' + file.id + '][image]" value="'+ response.data.filename +'"></td>';
					imgHtm += '<td><textarea rows="4" class="form-control" name="interest_images[' + file.id + '][caption]" placeholder="Image Caption"></textarea></td>';
					imgHtm += '<td> <select class="form-control" name="interest_images[' + file.id + '][image_type]"><option value="main">Main</option><option value="plaque">Plaque</option><option value="festival">Festival</option><option value="local">Local</option></select></td>';
                    // imgHtm += '<td><input class="form-control" type="text" placeholder="Image Caption" name="interest_images[' + file.id + '][caption]"></td>';
                    imgHtm += '<td><a class="btn btn-default btn-sm" onclick="$(\'#limage_' + file.id + '\').remove();" href="javascript:;"><i class="fa fa-times"></i> Remove </a></td>';
                    imgHtm += '</tr>';
                    $("tbody#listingimage").append(imgHtm);
                }else{
                    
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message +' </div>'
                }

                    $("#chooseImg").remove('');
            },

		UploadProgress: function(up, file) {
			//document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";
		},

		Error: function(up, err) {
           // console.log(err);
            document.getElementById('faildToupload').innerHTML = '';
            if(err.code == "-200"){
                var response = $.parseJSON(err.response);
                var err = '';
                if(response.errors.file.length > 0){
                    err += ": ";
                    $.each( response.errors.file, function( key, value ) {
                            err += "<br>" + value;
                        });

                }
                document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message + err +' </div>'
            }else{
                if(err.code == "-600"){
                    if($.trim(err.message)=='File size error.')
                    {
                        err.message='The file you uploaded has the file size greater than allowed file size.';
                    }
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ err.message  +' </div>'
                }
                else{
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>File extension error: The file must be a file of type: jpeg, png, jpg </div>'
           
                }
              
            }
           //console.log("\nError #" + err.code + ": " + err.message);
            // document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message +' </div>'
		}
	}
});
uploader.init();
</script>

@stop
