@extends('layouts.admin.master')
@section('title', !empty($interest) ? 'Edit Interest' : 'Add Interest')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (interest header) -->
    <section class="content-header">
        <h1>
            Manage interests
            <small>Here you can manage {{ !empty($interest) ? 'edit interest' : 'add interest' }}</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.interests.index'],['label' => !empty($interest) ? 'Edit interest' : 'Add interest' ]]]) }}
    </section>
    <section class="content" data-table="interests">

            <div class="row interests">
                <div class="col-md-12">

                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($interest) ? 'Edit Interest' : 'Add Interest' }} </h3>
                            <a href="{{ route('admin.interests.index', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->
                @if(isset($interest))
                @php
                    $queryStr['id'] = $interest->id;
                    $queryStr = array_merge( $queryStr , app('request')->query());
                @endphp
                    {{ Form::model($interest, ['url' => route('admin.interests.update', $queryStr) , 'method' => 'patch','enctype'=>'multipart/form-data']) }}
                @else
                    {{ Form::open(['url' => route('admin.interests.store', app('request')->query()),'enctype'=>'multipart/form-data']) }}
                @endif
                <div class="box-body">
                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "" : "active" }}">
								<a href="#g_details" data-toggle="tab" aria-expanded="true">General Detail</a></li>
                                <li class=""><a href="#description_content" data-toggle="tab" aria-expanded="true">Description</a></li>
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "active" : "" }}"><a href="#p_images" data-toggle="tab" aria-expanded="false">Images</a></li>
                        </ul>
                    <div class="tab-content">
                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "" : "active" }}" id="g_details">
                            <div class="row">
                                    <div class="col-md-6">  
                                        <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="title">Title</label>
                                                    <div class="col-md-9">
                                                        {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                                        @if($errors->has('title'))
                                                        <span class="help-block">{{ $errors->first('title') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div>

                                        <div class="form-group required {{ $errors->has('ip') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Ip Address</label>
                                                    <div class="col-md-9">
                                                        {{ Form::text('ip', old('ip'), ['class' => 'form-control','placeholder' => 'IP Address']) }}
                                                        @if($errors->has('ip'))
                                                        <span class="help-block">{{ $errors->first('ip') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div> 
                                        <div class="form-group {{ $errors->has('status') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Status</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}
                                                    </div>
                                                </div>   
                                    </div>


                                  <!--  <div class="col-md-6">                                          

                                            <div class="form-group {{ $errors->has('latitude') ||  $errors->has('longitude')? 'has-error' : '' }}">
                                                    <div class="row">
                                                            <div class="col-md-3 col-md-offset-3">
                                                                {{ Form::text('latitude', old('latitude'), ['id' => 'latitude', 'class' => 'form-control','readonly' => true]) }}
                                                                @if($errors->has('latitude'))
                                                                <span class="help-block">{{ $errors->first('latitude') }}</span>
                                                                @endif
                                                            </div>
                                                            <div class="col-md-3">
                                                                {{ Form::text('longitude', old('longitude'), ['id' => 'longitude', 'class' => 'form-control','readonly' => true]) }}
                                                                @if($errors->has('longitude'))
                                                                <span class="help-block">{{ $errors->first('longitude') }}</span>
                                                                @endif
                                                            </div>
                                                    </div>
                                                    </div>

                                    </div> -->

                                </div> <!-- /.row -->
						</div>
</div>

                            <div class="tab-pane" id="description_content">
                                    <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group required {{ $errors->has('info_description') ? 'has-error' : '' }}">
                                                    <label for="info_description">Information Description</label>
                                                    {{ Form::textarea('info_description', old('info_description'), ['class' => 'form-control ','placeholder' => 'Information Description', 'rows' => 8]) }}
                                                    @if($errors->has('info_description'))
                                                    <span class="help-block">{{ $errors->first('info_description') }}</span>
                                                    @endif
                                                </div>


                                            </div>
                                        </div>
										 <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group required {{ $errors->has('description') ? 'has-error' : '' }}">
                                                    <label for="description">Local Stories Description/History</label>
                                                    {{ Form::textarea('description', old('description'), ['class' => 'form-control ','placeholder' => 'Description/History', 'rows' => 8]) }}
                                                    @if($errors->has('description'))
                                                    <span class="help-block">{{ $errors->first('description') }}</span>
                                                    @endif
                                                </div>


                                            </div>
                                        </div>
										 <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group required {{ $errors->has(' 	fdescription ') ? 'has-error' : '' }}">
                                                    <label for=" 	fdescription ">Whats on Description</label>
                                                    {{ Form::textarea('fdescription', old('fdescription'), ['class' => 'form-control ','placeholder' => 'Whats on Description', 'rows' => 8]) }}
                                                    <span class="help-block">{{ $errors->first('fdescription ') }}</span>
                                                    @if($errors->has('description'))
                                                    @endif
                                                </div>


                                            </div>
                                        </div>
                            </div>

                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 && $errors->has('interest_images'))) ? "active" : "" }}" id="p_images">
                                    <div class="row fontawesome-icon-list">
                                            <div class="col-md-12">
                                                @if($errors->has('interest_images'))
                                                    <div class="alert alert-danger">
                                                            <button type="button" class="close" data-dismiss="alert">×</button>
                                                            <ul>
                                                                        <li>{{ $errors->first('interest_images') }}</li>

                                                            </ul>
                                                        </div>
                                                        @endif
                                                <h4 class="page-header">Festival Images</h4>

                                                <div class="row">
                                                    <div class="col-md-3 pull-left form-group">
                                                        <div id="unique_id" class="gallery">
                                                            <a href="javascript:void(0);" class="btn btn-flat btn-success" id="unique_id_uploader"><i class="fa fa-cloud-upload"></i> Select Images</a>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-12" style="display:block;">
                                                        <div id="faildToupload"></div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <table class="table table-striped galleryTable" style="margin-top: 30px;">
                                                            <tbody id="listingimage">
                                                                @php
                                                                    $inc = 0;
                                                                @endphp
                                                                @if(isset($interest->interest_images) || old('interest_images'))


                                                                @php
                                                                    $interest_images = old('interest_images') ? old('interest_images') : $interest->interest_images;
                                                                    //dump($interest_images);die;
                                                                @endphp

                                                                @foreach ($interest_images as $key => $limage)
                                                                @php
                                                                if(!is_object($limage))
                                                                $limage = (object) $limage;
                                                                $idc = !empty($limage->id) ? $limage->id : $inc;
                                                                @endphp
                                                                <tr id="limage_{{ $idc }}">
                                                                    <td style="text-align: center; vertical-align: middle; font-size:22px;"> <i class="fa fa-arrows"></i> </td>
                                                                        <td>
                                                                                @if (old('interest_images.'.$key.'.image'))
                                                                                @php
                                                                                    $filename = old('interest_images.'.$key.'.image');
                                                                                    if(old('interest_images.'.$key.'.id'))
                                                                                        $filepath = '/storage/interest/';
                                                                                    else
                                                                                        $filepath =  "/storage/temp/";
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filename = isset($limage->image) ? $limage->image : "";
                                                                                    $filepath = '/storage/interest/';
                                                                                @endphp
                                                                            @endif

                                                                                @if(!empty($filename) && file_exists( public_path() . $filepath . $filename))
                                                                                @php $imageurl=\App\Helpers\MenuHelpers::imageUrl(url($filepath. $filename),'274','180','100') @endphp
                                                                                <img class="img-responsive" src="{{ $imageurl}}" alt="" style="max-height:80px;">
                                                                                    @else
                                                                                    <img src="{{asset('img/no_image.gif')}}" alt="" height="80" style="max-height:80px;">
                                                                                    @endif
                                                                                    {{ Form::hidden('interest_images['.$inc.'][image]',old('interest_images.'.$inc.'.image')?old('interest_images.'.$inc.'.image'):$limage->image,['class'=>'form-control']) }}
                                                                                   @if (isset($limage->id) && !empty($limage->id))
                                                                                    {{ Form::hidden('interest_images['.$inc.'][id]',old('interest_images.'.$inc.'.id')?old('interest_images.'.$inc.'.id'):$limage->id,['class'=>'form-control']) }}
                                                                                    @endif
                                                                            </td>
                                                                        {{-- <td>
                                                                                {{ Form::text('interest_images['.$inc.'][caption]',old('interest_images.'. $inc .'.caption')?old('interest_images.'. $inc .'.caption'):$limage->caption,['class'=>'form-control']) }}
                                                                        </td> --}}
                                                                        <td>
                                                                            @if(!empty($limage->id))
                                                                                <a href="javascript:;" onclick="deleteimage({{ $limage->id }}, '{{ $limage->image }}');" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @else
                                                                                <a href="javascript:;" onclick="$('#limage_{{ $idc }}').remove();" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @endif
                                                                        </td>
                                                                    </tr>
                                                                    @php
                                                                        $inc++;
                                                                    @endphp
                                                                @endforeach

                                                                @else
                                                                <tr id="chooseImg">
                                                                        <td colspan="4" align="center"><strong>Please Select Images and Upload</strong></td>
                                                                    </tr>
                                                                @endif

                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
												
												<!-- Local Stories Images -->
												<h4 class="page-header">Local Stories Images</h4>

                                                <div class="row">
                                                    <div class="col-md-3 pull-left form-group">
                                                        <div id="unique_id2" class="gallery">
                                                            <a href="javascript:void(0);" class="btn btn-flat btn-success" id="unique_id2_uploader"><i class="fa fa-cloud-upload"></i> Select Images</a>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-12" style="display:block;">
                                                        <div id="faildToupload"></div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <table class="table table-striped galleryTable" style="margin-top: 30px;">
                                                            <tbody id="listingimage2">
                                                                @php
                                                                    $inc = 0;
                                                                @endphp
                                                                @if(isset($interest->interest_images) || old('interest_images'))


                                                                @php
                                                                    $interest_images = old('interest_images') ? old('interest_images') : $interest->interest_images;
                                                                   
                                                                @endphp

                                                                @foreach ($interest_images as $key => $limage)
                                                                @php
                                                                if(!is_object($limage))
                                                                $limage = (object) $limage;
                                                                $idc = !empty($limage->id) ? $limage->id : $inc;
                                                                @endphp
                                                                <tr id="limage_{{ $idc }}">
                                                                    <td style="text-align: center; vertical-align: middle; font-size:22px;"> <i class="fa fa-arrows"></i> </td>
                                                                        <td>
                                                                                @if (old('interest_images.'.$key.'.image'))
                                                                                @php
                                                                                    $filename = old('interest_images.'.$key.'.image');
                                                                                    if(old('interest_images.'.$key.'.id'))
                                                                                        $filepath = '/storage/interest/';
                                                                                    else
                                                                                        $filepath =  "/storage/temp/";
                                                                                @endphp
                                                                            @else
                                                                                @php
                                                                                    $filename = isset($limage->image) ? $limage->image : "";
                                                                                    $filepath = '/storage/interest/';
                                                                                @endphp
                                                                            @endif

                                                                                @if(!empty($filename) && file_exists( public_path() . $filepath . $filename))
                                                                                @php $imageurl=\App\Helpers\MenuHelpers::imageUrl(url($filepath. $filename),'274','180','100') @endphp
                                                                                <img class="img-responsive" src="{{ $imageurl}}" alt="" style="max-height:80px;">
                                                                                    @else
                                                                                    <img src="{{asset('img/no_image.gif')}}" alt="" height="80" style="max-height:80px;">
                                                                                    @endif
                                                                                    {{ Form::hidden('interest_images['.$inc.'][image]',old('interest_images.'.$inc.'.image')?old('interest_images.'.$inc.'.image'):$limage->image,['class'=>'form-control']) }}
                                                                                   @if (isset($limage->id) && !empty($limage->id))
                             {{ Form::hidden('interest_images['.$inc.'][id]',old('interest_images.'.$inc.'.id')?old('interest_images.'.$inc.'.id'):$limage->id,['class'=>'form-control']) }}
                                                                                    @endif
                                                                            </td>
                                                                        {{-- <td>
                                                                                {{ Form::text('interest_images['.$inc.'][caption]',old('interest_images.'. $inc .'.caption')?old('interest_images.'. $inc .'.caption'):$limage->caption,['class'=>'form-control']) }}
                                                                        </td> --}}
                                                                        <td>
                                                                            @if(!empty($limage->id))
                                                                                <a href="javascript:;" onclick="deleteimage({{ $limage->id }}, '{{ $limage->image }}');" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @else
                                                                                <a href="javascript:;" onclick="$('#limage_{{ $idc }}').remove();" class="btn btn-default btn-sm"><i class="fa fa-times"></i> Remove </a>
                                                                                @endif
                                                                        </td>
                                                                    </tr>
                                                                    @php
                                                                        $inc++;
                                                                    @endphp
                                                                @endforeach

                                                                @else
                                                                <tr id="chooseImg">
                                                                        <td colspan="4" align="center"><strong>Please Select Images and Upload</strong></td>
                                                                    </tr>
                                                                @endif

                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
												<!-- Local Stories Images -->

                                            </div>
                                        </div>

                            </div>
                    </div>
                </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ route('admin.interests.index', app('request')->query()) }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}
                    </div>
                </div>
            </div>
        </section>
@stop
@section('per_page_style')
<!--<link href="{{ asset('plugins/select2-develop/dist/css/select2.min.css') }}" rel="stylesheet" />-->
<style>
.ui-sortable-helper {
    display: table;
}
</style>
@stop

@section('per_page_script')
<!--<script src="{{ asset('plugins/select2-develop/dist/js/select2.min.js') }}"></script>-->
<script src="{{ asset('plugins/plupload/js/plupload.full.min.js') }}"></script>
<script>
 /*  $(".datepicker").datepicker();
  $( function() {
		$( "tbody#listingimage" ).sortable({
			handle: 'i.fa-arrows',
		});
   });  */  
   
   function deleteimage(id){
        $.ajax({
            type: "DELETE",
            url: "{{ route('admin.deleteImage') }}",
            data: {id: id},
            dataType: "JSON",
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
             },
            success: function (data) {
               if (data.status == true) {
                    $("#limage_" + id).remove();
                }
               // alert(data.message);
            }
        });
	}

<?php /*
    var uploader = new plupload.Uploader({
	runtimes : 'html5,flash,silverlight,html4',
	browse_button : 'pickfiles', // you can pass an id...
	container: document.getElementById('filecontainer'), // ... or DOM Element itself
	url : '{{ route('admin.tempcrop') }}',
	flash_swf_url : '{{ asset('plugins/plupload/js/Moxie.swf') }}',
	silverlight_xap_url : '{{ asset('plugins/plupload/js/Moxie.xap') }}',
	filters : {
		max_file_size : '3mb',
		mime_types: [
			{title : "Image files", extensions : "jpg,png,jpeg"},
			{title : "Zip files", extensions : "zip"}
		]
	},
    dragdrop: true,
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
         Accept: "application/json",
    },
    resize : {width : 320, height : 240, quality : 90},
	init: {
		PostInit: function() {
			
			document.getElementById('faildToupload').innerHTML = '';

//			document.getElementById('uploadfiles').onclick = function() {
//				uploader.start();
//				return false;
//			};
		},
		FilesAdded: function(up, files) {
            uploader.start();
            plupload.each(files, function(file) {
				//document.getElementById('faildToupload').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
			});
		},
        FileUploaded: function (up, file, response) {
                var response = $.parseJSON(response.response);
                var imgHtm = '';
                var imgpath = '';
                if (response.status === true) {
                    document.getElementById('faildToupload').innerHTML = '';
                    if (response.data.full_path) {
                        imgpath = response.data.full_path;
                    }
                    imgHtm += '<tr id="limage_' + file.id + '"> ';
                    imgHtm += '<td style="text-align: center; vertical-align: middle; font-size:22px;"> <i class="fa fa-arrows"></i> </td>';
                    imgHtm += '<td> <img src="'+ response.data.full_path +'" style="max-height:80px;"><input class="form-control" type="hidden" name="interest_images[' + file.id + '][image]" value="'+ response.data.filename +'"></td>';
                    // imgHtm += '<td><input class="form-control" type="text" placeholder="Image Caption" name="interest_images[' + file.id + '][caption]"></td>';
                    imgHtm += '<td><a class="btn btn-default btn-sm" onclick="$(\'#limage_' + file.id + '\').remove();" href="javascript:;"><i class="fa fa-times"></i> Remove </a></td>';
                    imgHtm += '</tr>';
                    $("tbody#listingimage").append(imgHtm);
                }else{
                    
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message +' </div>'
                }

                    $("#chooseImg").remove('');
            },

		UploadProgress: function(up, file) {
			//document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";
		},

		Error: function(up, err) {
          //  console.log(err);
            document.getElementById('faildToupload').innerHTML = '';
            if(err.code == "-200"){
                var response = $.parseJSON(err.response);
                var err = '';
                if(response.errors.file.length > 0){
                    err += ": ";
                    $.each( response.errors.file, function( key, value ) {
                            err += "<br>" + value;
                        });

                }
                document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message + err +' </div>'
            }else{
                if(err.code == "-600"){
                    if($.trim(err.message)=='File size error.')
                    {
                        err.message='The file you uploaded has the file size greater than allowed file size.';
                    }
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ err.message  +' </div>'
                }
                else{
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>File extension error: The file must be a file of type: jpeg, png, jpg </div>'
           
                }
              
            }
           //console.log("\nError #" + err.code + ": " + err.message);
            
		}
	}
});
uploader.init(); */?>


var uploaders = new Array();

initUploaders = function(uploaders) {
   // console.log("initUploaders()");
    $(".gallery").each(function() {
        var el = $(this);
        var button = el.attr("id") + "_uploader";
        //console.log("Init uploader id:" + el.attr("id"));
        var uploader = new plupload.Uploader({
            runtimes: 'html5,flash,silverlight,html4',
            browse_button: button,
            max_file_size: '3mb',
            url: '{{ route('admin.tempcrop') }}',
            flash_swf_url: '{{ asset('plugins/plupload/js/Moxie.swf') }}',
            silverlight_xap_url: '{{ asset('plugins/plupload/js/Moxie.xap') }}',
            filters : {
				max_file_size : '3mb',
				mime_types: [
					{title : "Image files", extensions : "jpg,png,jpeg"},
					{title : "Zip files", extensions : "zip"}
				]
	},
	dragdrop: true,
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
         Accept: "application/json",
    },
    resize : {width : 320, height : 240, quality : 90},
        });

        uploader.bind('FilesAdded', function(up, files) {
            uploader.start();
			plupload.each(files, function(file) {
				//document.getElementById('faildToupload').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
			});
        });
		
		uploader.bind('FileUploaded', function(up, file, response) {
		
        console.log(button);
			 var response = $.parseJSON(response.response);
                var imgHtm = '';
                var imgpath = '';
                if (response.status === true) {
                    document.getElementById('faildToupload').innerHTML = '';
                    if (response.data.full_path) {
                        imgpath = response.data.full_path;
                    }
                    imgHtm += '<tr id="limage_' + file.id + '"> ';
                    imgHtm += '<td style="text-align: center; vertical-align: middle; font-size:22px;"> <i class="fa fa-arrows"></i> </td>';
                    imgHtm += '<td> <img src="'+ response.data.full_path +'" style="max-height:80px;"><input class="form-control" type="hidden" name="interest_images[' + file.id + '][image]" value="'+ response.data.filename +'"></td>';
                    // imgHtm += '<td><input class="form-control" type="text" placeholder="Image Caption" name="interest_images[' + file.id + '][caption]"></td>';
                    imgHtm += '<td><a class="btn btn-default btn-sm" onclick="$(\'#limage_' + file.id + '\').remove();" href="javascript:;"><i class="fa fa-times"></i> Remove </a></td>';
                    imgHtm += '</tr>';
                    //$("tbody#listingimage"+ file.id).append(imgHtm);
                    $("tbody#listingimage").append(imgHtm);
                }else{
                    
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message +' </div>'
                }

                    $("#chooseImg").remove('');
				
        });
		
		uploader.bind('Error', function(up, err) {
          //  console.log(err);
            document.getElementById('faildToupload').innerHTML = '';
            if(err.code == "-200"){
                var response = $.parseJSON(err.response);
                var err = '';
                if(response.errors.file.length > 0){
                    err += ": ";
                    $.each( response.errors.file, function( key, value ) {
                            err += "<br>" + value;
                        });

                }
                document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ response.message + err +' </div>'
            }else{
                if(err.code == "-600"){
                    if($.trim(err.message)=='File size error.')
                    {
                        err.message='The file you uploaded has the file size greater than allowed file size.';
                    }
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button> '+ err.message  +' </div>'
                }
                else{
                    document.getElementById('faildToupload').innerHTML += '<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>File extension error: The file must be a file of type: jpeg, png, jpg </div>'
           
                }
              
            }
           
        });
        
        uploader.bind('QueueChanged', function (up, files) {
             uploader.start();
             up.refresh();
        });

        uploader.init();

        uploaders.push(uploader);
    });
};               

initUploaders(uploaders);
</script>

@stop
