@extends('layouts.admin.master')
@section('title','Interest list')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Manage Interest
            <small>Here you can manage interests</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
    </section>
    <section class="content" data-table="interests">
            <div class="row interests">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List Interest') }}</span></h3>
                            <div class="box-tools">
                                   
                                    
                                <a href="{{ route('admin.interests.create') }}" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Interest</a>
                               
                            </div>
                            
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                                            {{ Form::open(['url' => route('admin.interests.index'),'method' => 'get']) }}
                                                    <div class="col-md-12">
                                                    <div class="row">
                                                          <div class="col-md-2 form-group">
                                                                {{ Form::select('status', ['' => 'All',1 => 'Active', 0 => 'Inactive'], app('request')->query('status'), ['class' => 'form-control']) }}
                                                            </div>
                                                        <div class="col-md-5 form-group">
                                                            {{ Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: title']) }}
                                                        </div>
                                                        <div class="col-md-3 form-group">
                                                            <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                                            <a href="{{ route('admin.interests.index') }}" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            {{ Form::close() }}
                                                <div class="tab-pane active">
                                                    <table class="table table-hover table-striped table-bordered">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
																<th scope="col">
                                                                    @php
                                                                     $sorting['sort'] = "title";
                                                                     $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                                                    @endphp
                                                                    <a href="{{ URL::route('admin.interests.index',$sorting) }}">Title</a>
                                                                </th> 
                                                                <th>Location</th>  
																<th>Sort Order</th> 																
                                                                <th scope="col" >@php
                                                                        $sorting['sort'] = "status";
                                                                       @endphp
                                                                       <a href="{{ URL::route('admin.interests.index',$sorting) }}">Status</a></th>
                                                                <th scope="col" >Created</th>
                                                                <th scope="col" class="actions" width="12%">Action</th>
                                                            </tr>
                                                        </thead>
                                                                @if($interests->count() > 0)
                                                                <tbody>
                                                            @php
															
                                                            $i = (($interests->currentPage() - 1) * ($interests->perPage()) + 1)
                                                            @endphp
                                                            @foreach($interests as $interest)
                                                                <tr class="row-{{ $interest->id }}">
                                                                    <td> {{$i}}. </td>                                                                   
																	<td>																
                                                                    {{ $interest->title }}
                                                                    </td>
																	 <td>{{ $interest->locations['name'] }}</td>  
																	 <td>{{ $interest->sort_order }}</td>  
																	<td>{{  $interest->status == 1 ? "Active" : "In-Active" }}</td>
                                                                    <td>{{ $interest->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                                                                    <td class="actions">
                                                                        @php
                                                                            $queryStr['id'] = $interest->id;
                                                                            $queryStr = array_merge( $queryStr , request()->query());
                                                                        @endphp
                                                                        <div class="form-group">
                                                                            <a href="{{ route('admin.interests.show', $queryStr) }}" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View setting" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a>
                                                                            <a href="{{ route('admin.interests.edit', $queryStr) }}" class="btn btn-primary btn-sm btn-flat" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                                                           <!-- <a href="javascript:void(0);" class="confirmDeleteBtn btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Delete {{ $interest->title }}" data-url="{{ route('admin.interests.destroy', $interest->id) }}" data-title="{{ $interest->title }}"><i class="fa fa-trash"></i></a>-->
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            @php
                                                                $i++;
                                                            @endphp
                                                            @endforeach
                                                            </tbody>
                                                            @else
                                                            <tfoot>
                                                                <tr>
                                                                    <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                                                </tr>
                                                            </tfoot>
                                                            @endif
                                                    </table>
                                                </div>
                        </div>
                        <div class="box-footer clearfix">
                            {{ $interests->appends(Request::query())->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
@stop
