@extends('layouts.admin.master')
@section('title','View Interest Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Interest
        <small>Here you can view interests detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.interests.index'],['label' => 'View Interest Detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="listings box">
        <div class="box-header"><h3 class="box-title">{{ $interest->title }}</h3>
            {{-- <a href="{{ route('admin.interests.index', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a> --}}
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __('Title') }}</th>
                    <td>{{ $interest->title }}</td>
                </tr>              
                <tr>
                    <th scope="row">{{ __('Ip') }}</th>
                    <td>{{ $interest->ip }}</td>
                </tr>
                 <tr>
                    <th scope="row"><?= __('Created') ?></th>
                    <td>{{ $interest->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Modified') }}</th>
                    <td>{{ $interest->updated_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $interest->status ? __('Active') : __('Inactive')  }}</td>
                </tr>
				 <tr>
                    <th scope="row">{{ __('sort_order') }}</th>
                    <td>{{ $interest->sort_order }}</td>
                </tr>
            </table>
			 
			  <div class="row">
                <div class="col-md-12">
                    <h4>{{ __('Cobb & Co Description/History') }}</h4>
                    {!! $interest->description !!}
                </div>
            </div>	
        </div>





    </div>


    <div class="listings box">
            <div class="box-header">
                <h3 class="box-title">Interest Images</h3>
            </div>
            <div class="box-body">
                <div class="row">
				     @foreach($interest->interest_images as $pimg)
                        <div class="col-md-3 form-group">
                                           @php
                                           $filepath = '/storage/interest/';
                                           @endphp


                                           @if(!empty($pimg->image) && file_exists(public_path() . $filepath . $pimg->image))
                                           <?php $imageurl=\App\Helpers\MenuHelpers::imageUrl(url($filepath. $pimg->image),'200','200','100'); ?>
                                               <img src="{{ $imageurl  }}" class=" img-responsive img-thumbnail" alt="{{ $pimg->caption}}">
                                           @else
                                           <?php $imageurl=\App\Helpers\MenuHelpers::imageUrl(url('img/no_image.gif'),'200','200','100'); ?>
                                           @endif
										   <br />
										  Image Type: {{$pimg->image_type}}
                                       </div>
                                       @endforeach

                                </div>
            </div>
            <div class="box-footer">
                    <a href="{{route('admin.interests.index', app('request')->query())}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
            </div>
        </div>

</section>

@endsection
