@extends('layouts.admin.master')
@section('title', !empty($locations) ? 'Edit Location' : 'Add Location')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Manage Location
            <small>Here you can add locations</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.locations.index'],['label' => !empty($locations) ? 'Edit Location' : 'Add Location' ]]]) }}
    </section>
    <section class="content" data-table="pages">
            <div class="row pages">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($locations) ? 'Edit Location' : 'Add Location' }} </h3>
                            <a href="{{ route('admin.locations.index') }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->

                @if(isset($locations))
                    {{ Form::model($locations, ['route' => ['admin.locations.update', $locations->id], 'method' => 'patch']) }}
                @else
                    {{ Form::open(['route' => 'admin.locations.store']) }}
                @endif
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-6">

                            <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                <label for="title">Name</label>
                                {{ Form::text('name', old('name'), ['class' => 'form-control','placeholder' => 'Name']) }}
                                @if($errors->has('name'))
                                <span class="help-block">{{ $errors->first('name') }}</span>
                                @endif
                              </div>

                              <div class="form-group {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                <label for="title">Latitude</label>
                                {{ Form::text('latitude', old('latitude'), ['class' => 'form-control','placeholder' => 'Latitude']) }}
                                @if($errors->has('latitude'))
                                <span class="help-block">{{ $errors->first('latitude') }}</span>
                                @endif
                              </div>
							  
							   <div class="form-group {{ $errors->has('sub_title') ? 'has-error' : '' }}">
                                <label for="title">Longitude</label>
                                {{ Form::text('longitude', old('longitude'), ['class' => 'form-control','placeholder' => 'Longitude']) }}
                                @if($errors->has('longitude'))
                                <span class="help-block">{{ $errors->first('longitude') }}</span>
                                @endif
                              </div>
                        </div>

                    </div> <!-- /.row -->

                    <div class="row">
                        <div class="col-md-3">
							 <div class="form-group {{ $errors->has('status') ? 'has-error' : '' }}">
									<label for="status">Status</label>
										{{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}										
							 </div>
                        </div>
                    </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ route('admin.locations.index') }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}

                    </div>
                </div>
            </div>
        </section>
@stop
