@extends('layouts.admin.master')
@section('title','Location')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Manage Location
            <small>Here you can manage location</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
    </section>

    <section class="content" data-table="pages">
            <div class="row pages">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List Locations') }}</span></h3>
                            <div class="box-tools">
                                <a href="{{route('admin.locations.create')}}" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Location</a>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                            <table class="table table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th scope="col">Name</th>
                                        <th scope="col">Latitude</th>
										<th scope="col">Longitude</th>
                                        <th scope="col" width="30%">Status</th>
                                        <th scope="col" width="18%">created</th>
                                        <th scope="col" class="actions" width="12%">Action</th>
                                    </tr>
                                </thead>
                                        @if($locations->count() > 0)
                                        <tbody>
                                    @php
                                    $i = (($locations->currentPage() - 1) * ($locations->perPage()) + 1)
                                    @endphp
                                    @foreach($locations as $location)
                                        <tr>
                                            <td> {{$i}}. </td>
                                            <td>{{$location->name}}</td>
                                            <td>{{$location->latitude}}</td>
											 <td>{{$location->longitude}}</td>
                                           <td>{{  $location->status == 1 ? "Active" : "In-Active" }}</td>
                                            <td>{{ $location->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                                            <td class="actions">
                                                <div class="btn-group">
                                                    <a href="{{ route('admin.locations.show',['id' => $location->id]) }}" class="btn btn-warning btn-sm" data-toggle="tooltip" alt="View setting" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a>
                                                    
													<a href="{{ route('admin.locations.edit',['id' => $location->id]) }}" class="btn btn-primary btn-sm" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>													
                                                </div>
                                            </td>
                                        </tr>
                                    @php
                                        $i++;
                                    @endphp
                                    @endforeach
                                    </tbody>
                                    @else
                                    <tfoot>
                                        <tr>
                                            <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                        </tr>
                                    </tfoot>
                                    @endif
                            </table>
                        </div>
                        <div class="box-footer clearfix">
                            {{ $locations->appends(Request::query())->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </section>
@stop
