@extends('layouts.admin.master')
@section('title','View Location Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage Location
        <small>Here you can view location detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.locations.index'],['label' => 'View Location Detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="box">
        <div class="box-header"><h3 class="box-title">{{ $location->name }}</h3>
            <a href="{{route('admin.locations.index')}}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __('Name') }}</th>
                    <td>{{ $location->name }}</td>
                </tr>

                <tr>
                    <th scope="row">{{ __('Latitude') }}</th>
                    <td>{{ $location->latitude  }}</td>
                </tr>
				<tr>
                    <th scope="row">{{ __('Longitude') }}</th>
                    <td>{{ $location->longitude  }}</td>
                </tr>

                <tr>
                    <th scope="row"><?= __('Created') ?></th>
                    <td>{{ $location->created_at->toFormattedDateString() }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Modified') }}</th>
                    <td>{{ $location->updated_at->toFormattedDateString() }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $location->status ? __('Active') : __('Inactive')  }}</td>
                </tr>
            </table>           
        </div>
        <div class="box-footer">
                <a href="{{route('admin.locations.index')}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
        </div>
    </div>
</section>

@endsection
