@extends('layouts.admin.master')

@section('title', !empty($price_range) ? 'Edit Price Range' : 'Add Price Range')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (category header) -->
    <section class="content-header">
        <h1>
            Manage Price Ranges
            <small>Here you can {{ !empty($price_range) ? 'edit' : 'add' }} Price Range</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.categories'],['label' => !empty($price_range) ? 'Edit Price Range' : 'Add Price Range' ]]]) }}
    </section>
    <section class="content" data-table="categories">
            <div class="row categories">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($price_range) ? 'Edit Price Range' : 'Add Price Range' }} </h3>
                            <a href="{{ url('admin/price-ranges') }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->

                @if(isset($price_range))
                    {{ Form::model($price_range, ['url' => url('admin/price-ranges/update', $price_range->id), 'method' => 'patch']) }}
                @else
                    {{ Form::open(['url' => url('admin/price-ranges/store')]) }}
                @endif
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-6">

                            

                              <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                <label for="title">Title</label>
                                {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                @if($errors->has('title'))
                                <span class="help-block">{{ $errors->first('title') }}</span>
                                @endif
                              </div>

                              <div class="form-group {{ $errors->has('min') ? 'has-error' : '' }}">
                                <label for="title">Mininum Price</label>
                                {{ Form::number('min', old('min'), ['class' => 'form-control','placeholder' => 'Min','min'=>0]) }}
                                @if($errors->has('min'))
                                <span class="help-block">{{ $errors->first('min') }}</span>
                                @endif
                              </div>
                              <div class="form-group {{ $errors->has('max') ? 'has-error' : '' }}">
                                <label for="title">Maximum Price</label>
                                {{ Form::number('max', old('max'), ['class' => 'form-control','placeholder' => 'Max','min'=>0]) }}
                                @if($errors->has('max'))
                                <span class="help-block">{{ $errors->first('max') }}</span>
                                @endif
                              </div>
                              <div class="form-group {{ $errors->has('status') ? 'has-error' : '' }}">
                                    <label class="control-label" for="last_name">Status</label>
                                            {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}
                          </div>
                        </div>

                        


                    </div> <!-- /.row -->


                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ url('admin/price-ranges') }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}

                    </div>
                </div>
            </div>
        </section>
@stop
