<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::prefix('admin')->middleware('auth:admin')->namespace('Admin')->as('admin.')->group(function () {
    Route::resources([
         'price-ranges' => 'PriceRangesController',
      ]);
    Route::get('/price-ranges/create', 'PriceRangesController@create')->name('price-ranges.add');
    Route::post('/price-ranges/store', 'PriceRangesController@store')->name('price-ranges.save');
    Route::get('/price-ranges/edit/{id}', 'PriceRangesController@edit')->name('price-ranges.edit');
    Route::patch('/price-ranges/update/{id}', 'PriceRangesController@update')->name('price-ranges.update');
    Route::delete('/delete/{id}', 'PriceRangesController@destroy')->name('price-ranges.delete');
});
Route::prefix('pricerangemanager')->group(function() {
    Route::get('/', 'PriceRangeManagerController@index');
});
