<?php

namespace Modules\ServiceManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use \Illuminate\Http\Request;

class ServiceRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Request $request)
    {
         return [
            'title' => 'required|max:150',
           // 'slug' => 'unique:services,id,' . $request->segment(3),
           // 'slug' => 'required|unique:services',
            'slug' => 'required',
            'description' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'title.required' => 'Please enter service title!',
            'slug.required' => 'Please enter service unique Constant/slug!',
           // 'slug.unique' => 'Each service Constant/slug must have a unique Constant/slug! this Constant already added!!',
            'description.required'  => 'Please enter description !',
        ];
    }


    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(\Illuminate\Contracts\Validation\Validator $validator)
    {
        \Illuminate\Support\Facades\Session::flash('ValidatorError', 'Oops something went wrong. Please check the required fields and complete them.');
        return parent::failedValidation($validator);
    }
}
