<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('servicemanager')->group(function() {
    Route::get('/', 'ServiceManagerController@index');
});

Route::prefix('admin/services')->middleware('auth:admin')->namespace('Admin')->group(function () {
    Route::get('/', 'ServiceController@index')->name('data.service');
    Route::get('/add', 'ServiceController@create')->name('data.service.add');
    Route::post('/add', 'ServiceController@store')->name('data.service.store');
    Route::get('/view/{id}', 'ServiceController@show')->name('data.service.view');
    Route::get('/edit/{id}', 'ServiceController@edit')->name('data.service.edit');
    Route::post('/edit/{id}', 'ServiceController@update')->name('data.service.update');
    Route::any('/delete/{id}', 'ServiceController@destroy')->name('data.service.delete');
   
    //Route::delete('/delete/{id}', 'FaqManagerController@deleteFaq')->name('data.faq.delete');
    //Route::patch('/{id}/edit', 'FaqManagerController@updateFaq')->name('data.bannerscategory.update');
    
});
