<?php

namespace Modules\SubscriptionManager\Entities;

use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    protected $fillable = ['user_id', 'name', 'stripe_id', 'stripe_plan', 'quantity', 'trial_ends_at', 'ends_at'];

    public function user() {
        return $this->belongsTo(\Modules\UserManager\Entities\User::class);
    }

    public function transactions()
    {
        return $this->belongsToMany(\Modules\ProductManager\Entities\Transaction::class, 'order_transaction','order_id' ,'transaction_id');
    }

    public function plan()
    {
        return $this->belongsTo(\Modules\SubscriptionManager\Entities\SubscriptionPlan::class, 'stripe_plan', 'stripe_plan_id');
    }

}
