<?php

namespace Modules\SubscriptionManager\Entities;

use Illuminate\Database\Eloquent\Model;

class SubscriptionPlan extends Model
{
    protected $fillable = ['title','description','amount','plan_interval','duration','trail_days','status','stripe_plan_id'];
    public function subscription_plan_features()
    {
        return $this->hasMany(\Modules\SubscriptionManager\Entities\SubscriptionPlanFeature::class, 'subscription_plan_id', 'id')->orderBy('id', 'ASC');
    }
     /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeStatus($query, $status) {
        
        if ($status === '0' || $status == 1) {
            $query->where('status', $status);
        }

    return $query;
}
    /**
     * Scope a query to only include filtered users.
     *
     * @param \Illuminate\Database\Eloquent\Builder $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeFilter($query, $keyword) {
        if (!empty($keyword)) {
            $query->where(function($query) use ($keyword) {
                $query->where('title', 'LIKE', '%' . $keyword . '%');
                $query->orWhere('description', 'LIKE', '%' . $keyword . '%');
            });
        }
        return $query;
    }


    function features(){
        $plans = \Modules\SubscriptionManager\Entities\SubscriptionPlanFeature::where('subscription_plan_id', $this->id)->get();
        $features = [];
        foreach($plans as $plan){
            $features[$plan->title] = $plan->value;
        }
        return $features;
    }


}
