<?php

namespace Modules\SubscriptionManager\Http\Controllers\Admin;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\SubscriptionManager\Entities\Subscription;
use Modules\SubscriptionManager\Http\Requests\SubscriptionsRequest;
class SubscriptionsController extends Controller
{
   /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(Request $request) {
        $allowed_columns = ['email'];
        $sort            = in_array($request->get('sort'), $allowed_columns) ? $request->get('sort') : 'created_at';
        $order           = $request->get('direction') === 'asc' ? 'asc' : 'desc';

        $query = Subscription::filter($request->query('keyword'))->orderBy($sort, $order);
        $subscriptions  = $query->paginate(config('get.ADMIN_PAGE_LIMIT'));
        return view('subscriptionmanager::Admin.index', compact('subscriptions'));
    }

}
