<?php

namespace Modules\SubscriptionManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return \Auth::check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name_on_card'=>'required|max:255|string',
            'card_number'=>'required|digits:16',
            'expiry_month'=>'required',
            'expiry_year'=>'required',
            'cvc'=>'required|integer|digits:3',
            'stripeToken'=>'required|string',
        ];
    }
}
