<?php

namespace Modules\SubscriptionManager\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SubscriptionPlanRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'             => 'required|not_empty_html|min:3|max:250',
            'amount'            => "required|regex:/^\d*(\.\d{1,2})?$/",
            //'plan_interval'          => 'required', //numeric|digits_between:1,3
            //'duration'          => 'required|numeric|digits_between:1,3', //numeric|digits_between:1,3
            'trail_days'        => 'nullable|numeric|digits_between:1,3',
            'description'       => 'required|min:10|max:250',
            'subscription_plan_features.*.title' => 'required',
            'subscription_plan_features.*.value' => 'required',

        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
      /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages() {
        return [
            'subscription_plan_features.*.title.required'  => 'The subscription plan feature title is required.',
            'subscription_plan_features.*.value.required'  => 'The subscription plan feature value is required.',
        ];
    }
}
