@extends('layouts.admin.master')
@section('title','Subscriptions')
@section('content')
@include('layouts.admin.flash.alert')
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Subscriptions
        <small>Here you can manage Subscriptions</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
</section>
@php
    $qparams = app('request')->query();

    @endphp
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header">
                    <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List Subscriptions') }}</span></h3>

                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <div class="tab-content" style="margin-top:10px;">
                        {{ Form::open(['url' => route('admin.subscriptions.index', $qparams),'method' => 'get']) }}
                        <div class="col-md-12">
                            <div class="row">
                                 <div class="col-md-5 form-group">
                                    {{ Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: email']) }}
                                </div>

                                <div class="col-md-3 form-group">
                                    <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                    <a href="{{ route('admin.subscriptions.index') }}" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                                </div>
                            </div>
                        </div>
                        {{ Form::close() }}
                        <div class="tab-pane active">
                            <table class="table table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th scope="col">Subscriber Email</th>
                                        <th scope="col">Subscription Date</th>

                                    </tr>
                                </thead>
                                @if($subscriptions->count() > 0)
                                <tbody>
                                    @php
                                    $i = (($subscriptions->currentPage() - 1) * ($subscriptions->perPage()) + 1)
                                    @endphp
                                    @foreach($subscriptions as $subscription)
                                    <tr class="row-{{ $subscription->id }}">
                                        <td> {{$i}}. </td>
                                        <td>{{ $subscription->email }}</td>
                                        <td>{{ $subscription->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>

                                    </tr>
                                    @php
                                    $i++;
                                    @endphp
                                    @endforeach
                                </tbody>
                                @else
                                <tfoot>
                                    <tr>
                                        <td colspan='6' align='center'> <strong>Record Not Available</strong> </td>
                                    </tr>
                                </tfoot>
                                @endif
                            </table>
                        </div>
                    </div>
                </div>
                <div class="box-footer clearfix">
                    {{ $subscriptions->appends(Request::query())->links() }}
                </div>
            </div>
        </div>
    </div>
</section>
@stop
