@extends('layouts.admin.master')
@section('title', !empty($subscriptionPlan) ? 'Edit subscription plan' : 'Add subscription plan')
@section('content')
@include('layouts.admin.flash.alert')
    <!-- Content Header (subscription plan header) -->
    <section class="content-header">
        <h1>
            Manage subscription plans
            <small>Here you can manage {{ !empty($subscriptionPlan) ? 'edit subscription plan' : 'add subscription plan' }}</small>
        </h1>
        {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.subscriptionplans.index'],['label' => !empty($subscriptionPlan) ? 'Edit subscription plan' : 'Add subscription plan' ]]]) }}
    </section>
    <section class="content" data-table="subscription plans">

            <div class="row subscription plans">
                <div class="col-md-12">

                    <div class="box box-info">
                        <div class="box-header with-border">
                            <h3 class="box-title">{{ !empty($subscriptionPlan) ? 'Edit subscription plan' : 'Add subscription plan' }} </h3>
                            <a href="{{ route('admin.subscriptionplans.index', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                        </div><!-- /.box-header -->
                @if(isset($subscriptionPlan))
                @php
                    $queryStr['id'] = $subscriptionPlan->id;
                    $queryStr = array_merge( $queryStr , app('request')->query());
                @endphp
                    {{ Form::model($subscriptionPlan, ['url' => route('admin.subscriptionplans.update', $queryStr) , 'method' => 'patch','enctype'=>'multipart/form-data']) }}
                @else
                    {{ Form::open(['url' => route('admin.subscriptionplans.store', app('request')->query()),'enctype'=>'multipart/form-data']) }}
                @endif
                <div class="box-body">

                    <div class="nav-tabs-custom">
                        <ul class="nav nav-tabs">
                                <li class="{{ (!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}"><a href="#g_details" data-toggle="tab" aria-expanded="true">General Detail</a></li>
                                <li class="{{ !(!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}"><a href="#description_content" data-toggle="tab" aria-expanded="true">Description</a></li>

                        </ul>
                    <div class="tab-content">
                            <div class="tab-pane {{ (!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}" id="g_details">
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group required {{ $errors->has('title') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="title">Plan Name</label>
                                                    <div class="col-md-9">
                                                        {{ Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title']) }}
                                                        @if($errors->has('title'))
                                                        <span class="help-block">{{ $errors->first('title') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div>

                                        <div class="form-group required {{ $errors->has('amount') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="amount">Amount</label>
                                                    <div class="col-md-9">
                                                        {{ Form::number('amount', old('amount'), ['class' => 'form-control','placeholder' => 'Amount','min'=>0,'step' => '0.01','readonly' => !empty($subscriptionPlan) ? true : false]) }}
                                                        @if($errors->has('amount'))
                                                        <span class="help-block">{{ $errors->first('amount') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="form-group hide {{ $errors->has('duration') ? 'has-error' : '' }}">
                                            <div class="row">
                                                <label class="col-md-3 control-label" for="duration">Plan Duration</label>
                                                <div class="col-md-9">
                                                    {{ Form::number('duration', old('duration'), ['class' => 'form-control ','placeholder' => 'Enter Days']) }}
                                                    @if($errors->has('duration'))
                                                    <span class="help-block">{{ $errors->first('duration') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group  required {{ $errors->has('plan_interval') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Interval</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('plan_interval', ['month' => 'month', 'year' => 'year'], old("plan_interval"), ['class' => 'form-control', 'disabled' => !empty($subscriptionPlan) ? true : false]) }}
                                                    </div>
                                                    @if($errors->has('plan_interval'))
                                                    <span class="help-block">{{ $errors->first('plan_interval') }}</span>
                                                    @endif
                                                </div>
                                        </div>

                                        <div class="form-group  {{ $errors->has('trail_days') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="trail_days">TrialDays</label>
                                                    <div class="col-md-9">
                                                        {{ Form::number('trail_days', old('trail_days'), ['class' => 'form-control ','placeholder' => 'Enter Days']) }}
                                                        @if($errors->has('trail_days'))
                                                        <span class="help-block">{{ $errors->first('trail_days') }}</span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>


                                        <div class="form-group  required {{ $errors->has('status') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="last_name">Status</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control']) }}
                                                    </div>
                                                </div>
                                        </div>
                                        {{-- <div class="form-group  required {{ $errors->has('stripe_plan_id') ? 'has-error' : '' }}">
                                                <div class="row">
                                                    <label class="col-md-3 control-label" for="stripe_plan_id">Stripe Plan</label>
                                                    <div class="col-md-9">
                                                            {{ Form::select('stripe_plan_id',config::get('constant.subscription_plans'), old("stripe_plan_id"), ['class' => 'form-control']) }}
                                                    </div>
                                                </div>
                                        </div> --}}
                                    </div>


                                    <div class="col-md-6">
                            @php $features=config::get('constant.plan_features');
                            @$i=1;
                            if(!empty($subscriptionPlan)){
                                $existingfeatures = $subscriptionPlan->subscription_plan_features->pluck('value','title')->toArray();
                            }
                            @endphp
                                                                <!--right side section-->
                            @foreach($features as $key=>$feature)
                            @php
                            $value='';
                            if( !empty($subscriptionPlan) && $existingfeatures && array_key_exists($key,$existingfeatures)){

                                $value=$existingfeatures[$key];
                            }
                            else{
                                $value=old("subscription_plan_features[$i][value]");
                            }
                            @endphp
                            <div class="form-group required {{ $errors->has('subscription_plan_features.'.$i.'.value') ? 'has-error' : '' }}">
                                    <div class="row">
                                        <label class="col-md-3 control-label" for="">{{ $feature }}</label>
                                        <div class="col-md-9">
                                                {{ Form::hidden("subscription_plan_features[$i][title]", $key, ['class' => 'form-control']) }}
                                                {{ Form::text("subscription_plan_features[$i][value]",$value, ['class' => 'form-control','placeholder' => $feature]) }}
                                                @if($errors->has('subscription_plan_features.'.$i.'.value'))
                                                    <span class="help-block">{{ $errors->first('subscription_plan_features.'.$i.'.value') }}</span>
                                                    @endif
                                        </div>
                                    </div>
                            </div>
                            @php $i++; @endphp
                            @endforeach
                                    </div>

                                </div> <!-- /.row -->

                            </div>


                            <div class="tab-pane {{ !(!empty($errors->any()) && (count($errors->keys()) == 1 )) ? "" : "active" }}" id="description_content">
                                    <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group required {{ $errors->has('description') ? 'has-error' : '' }}">
                                                    <label for="description">Description</label>
                                                    {{ Form::textarea('description', old('description'), ['class' => 'form-control ','placeholder' => 'Description', 'rows' => 8]) }}
                                                    @if($errors->has('description'))
                                                    <span class="help-block">{{ $errors->first('description') }}</span>
                                                    @endif
                                                </div>


                                            </div>
                                        </div>
                            </div>

                    </div>
                </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                        <a href="{{ route('admin.subscriptionplans.index', app('request')->query()) }}" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                    </div>
                    {{ Form::close() }}
                    </div>
                </div>
            </div>
        </section>
@stop
@section('per_page_style')
<link href="{{ asset('plugins/select2-develop/dist/css/select2.min.css') }}" rel="stylesheet" />
<style>
.ui-sortable-helper {
    display: table;
}
</style>
@stop
@section('per_page_script')
<script>


</script>
@stop
