@extends('layouts.admin.master')
@section('title','subscription plans')
@section('content')
@include('layouts.admin.flash.alert')
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage subscription plans
        <small>Here you can manage subscription plans</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]]) }}
</section>
@php
    $qparams = app('request')->query();

    @endphp
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header">
                    <h3 class="box-title"><span class="caption-subject font-green bold uppercase">{{ __('List subscription plans') }}</span></h3>
                    <div class="box-tools">


                          <a href="{{ route('admin.subscriptionplans.create') }}" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Subscription Plan</a>

                        </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <div class="tab-content" style="margin-top:10px;">
                        {{ Form::open(['url' => route('admin.subscriptionplans.index', $qparams),'method' => 'get']) }}
                        <div class="col-md-12">
                            <div class="row">
                                 <div class="col-md-5 form-group">
                                    {{ Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: title,description']) }}
                                </div>

                                <div class="col-md-3 form-group">
                                    <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                    <a href="{{ route('admin.subscriptionplans.index') }}" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                                </div>
                            </div>
                        </div>
                        {{ Form::close() }}
                        <div class="tab-pane active">
                            <table class="table table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th scope="col">Plan Name</th>
                                        <th scope="col">Amount</th>
                                        <th scope="col">Plan Interval</th>
                                        <th scope="col">Trail Duration(days)</th>
                                        <th scope="col">Creation Date</th>
                                        <th scope="col" class="actions" width="12%">Action</th>
                                    </tr>
                                </thead>
                                @if($plans->count() > 0)
                                <tbody>
                                    @php
                                    $i = (($plans->currentPage() - 1) * ($plans->perPage()) + 1)
                                    @endphp
                                    @foreach($plans as $plan)
                                    <tr class="row-{{ $plan->id }}">
                                        <td> {{$i}}. </td>
                                        <td>{{ $plan->title }}</td>
                                        <td>{{ $plan->amount }}</td>
                                        <td>{{ $plan->plan_interval }}</td>
                                        <td>{{ $plan->trail_days }}</td>
                                        <td>{{ $plan->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                                        <td class="actions">
                                                @php
                                                    $queryStr['id'] = $plan->id;
                                                    $queryStr = array_merge( $queryStr , request()->query());
                                                @endphp
                                                <div class="form-group">
                                                    {{-- <a href="{{ route('admin.subscriptionplans.show', $queryStr) }}" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View setting" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a> --}}
                                                    <a href="{{ route('admin.subscriptionplans.edit', $queryStr) }}" class="btn btn-primary btn-sm btn-flat" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                                  <a href="javascript:void(0);" class="confirmDeleteBtn btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Delete {{ $plan->name }}" data-url="{{ route('admin.subscriptionplans.destroy', $plan->id) }}" data-title="{{ $plan->name }}"><i class="fa fa-trash"></i></a>
                                                </div>
                                            </td>
                                    </tr>
                                    @php
                                    $i++;
                                    @endphp
                                    @endforeach
                                </tbody>
                                @else
                                <tfoot>
                                    <tr>
                                        <td colspan='6' align='center'> <strong>Record Not Available</strong> </td>
                                    </tr>
                                </tfoot>
                                @endif
                            </table>
                        </div>
                    </div>
                </div>
                <div class="box-footer clearfix">
                    {{ $plans->appends(Request::query())->links() }}
                </div>
            </div>
        </div>
    </div>
</section>
@stop
