@extends('layouts.admin.master')
@section('title','View Plan Detail')
@section('content')
@include('layouts.admin.flash.alert')
<section class="content-header">
    <h1>
        Manage subscription plan
        <small>Here you can view plan detail</small>
    </h1>
    {{ Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.subscriptionplans.index'],['label' => 'view plan detail']]]) }}
</section>

<section class="content" data-table="emailHooks">
    <div class="listings box">
        <div class="box-header"><h3 class="box-title">{{ $subscriptionPlan->title }}</h3>
            {{-- <a href="{{ route('admin.subscriptionplans.index', app('request')->query()) }}" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a> --}}
        </div>
        <div class="box-body">
            <table class="table table-hover table-striped">
                <tr>
                    <th scope="row">{{ __('Plan Title') }}</th>
                    <td>{{ $subscriptionPlan->title }}</td>
                </tr>
                <tr>
                        <th scope="row">{{ __('Plan Amount') }}</th>
                        <td>{{ $subscriptionPlan->amount }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Plan Duration') }}</th>
                    <td>{{ $subscriptionPlan->duration }} days</td>
            </tr>

            <tr>
                    <th scope="row">{{ __('Plan Trail Days') }}</th>
                    <td>{{ $subscriptionPlan->trail_days }} days</td>
            </tr>
           

                <tr>
                    <th scope="row"><?= __('Created') ?></th>
                    <td>{{ $subscriptionPlan->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Modified') }}</th>
                    <td>{{ $subscriptionPlan->updated_at->format(config('get.ADMIN_DATE_TIME_FORMAT')) }}</td>
                </tr>
                <tr>
                    <th scope="row">{{ __('Status') }}</th>
                    <td>{{ $subscriptionPlan->status ? __('Active') : __('Inactive')  }}</td>
                </tr>
            </table>

        </div>





    </div>


    <div class="listings box">
            <div class="box-header">
                <h3 class="box-title">Plan Features</h3>
            </div>
            <div class="box-body">
                <div class="row">
                        <table class="table table-hover table-striped">
                                
@foreach($subscriptionPlan->subscription_plan_features as $feature)
<tr>
        <th scope="row">{{ (array_key_exists($feature->title,config::get('constant.plan_features')))?config::get('constant.plan_features')[$feature->title]:$feature->title }}</th>
        <td>{{ $feature->value }}</td>
    </tr>
@endforeach
</table>

                                </div>
            </div>
            <div class="box-footer">
                    <a href="{{route('admin.subscriptionplans.index', app('request')->query())}}" class="btn btn-default pull-left" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
            </div>
        </div>

</section>

@endsection
