@extends('layouts.master')
@section('title','Review Supplier')
@section('content')
@include('partials.headerbanner',['title'=> 'Subscription Plan Form','banner' => asset('images/product-list-bnr.jpg')])
@include('partials.header')
<div class="dash-middle pad30">
  <div class="prd-frm d-flex">
    <div class="box-lt">
      <h2>{{ 'Subscription Plan Form'  }}</h2>
    </div>

    <div class="prd-rt-frm cmn-form"> <a href="{{ url('subscription-plan') }}" class="btn btn-sm btn-custom green-btn">Back</a></div>
  </div>
  @include('layouts.admin.flash.alert')
  {!!  Form::open(['url'=>route('subscription.store',$plan->id), 'id'=>'form', 'method'=>'POST', 'role'=>'form', 'id'=>'card-form'])  !!}
  <div class="card-error"></div>
  <div class="upload-prd-block cmn-form bg-white pad30">
    <div class="row">
      <div class="col-md-6">
        <div class="row">
          <div class="col-lg-6">
            <div class="form-group required  {{ $errors->has('name_on_card') ? 'has-error' : '' }}">
                    {!! Form::label('name_on_card', 'Name on card'.config('site.form.colon'), ['class' => '']) !!}
                    {!! config('site.form.required') !!}
                    {!! Form::text('name_on_card', null, ['data-stripe'=>'name', 'placeholder' => 'Name on card', 'required'=>'required','class'=>'form-control']) !!}
                    <span class="help-block"> {{ $errors->first('name_on_card', ':message') }} </span>
                </div>
          </div>
          <div class="col-lg-6">
            <div class="form-group required  {{ $errors->has('card_number') ? 'has-error' : '' }}">
                    {!! Form::label('card_number', 'Card number'.config('site.form.colon'), ['class' => '']) !!}
                    {!! config('site.form.required') !!}
                    {!! Form::number('card_number', null, ['data-stripe'=>'number', 'placeholder' => 'Card number','maxlength'=>16, 'required'=>'required','data-inputmask'=>"'mask': '9999999999999999'",'data-mask','class'=>'form-control numeric-field']) !!}
                    <span class="help-block"> {{ $errors->first('card_number', ':message') }} </span>
            </div>
          </div>
          <div class="col-lg-6">
                <div class="form-group required  {{ $errors->has('expiry_month') ? 'has-error' : '' }}">
                        {!! Form::label('expiry_month', 'Month', ['class' => '']) !!}

                                    {!! Form::selectMonth('expiry_month', null, ['data-stripe'=>'exp_month','class'=>'form-control']) !!}
                                    <span class="help-block"> {{ $errors->first('expiry_month', ':message') }} </span>
                </div>
              </div>
              <div class="col-lg-6">
                    <div class="form-group required  {{ $errors->has('expiry_year') ? 'has-error' : '' }}">
                            {!! Form::label('expiry_year', 'Year', ['class' => '']) !!}

                            {!! Form::selectYear('expiry_year', date('Y'), date('Y') + 10, null, ['data-stripe'=>'exp_year','class'=>'form-control']) !!}
                            <span class="help-block"> {{ $errors->first('expiry_year', ':message') }} </span>
                    </div>
                  </div>
                  <div class="col-lg-6">
                        <div class="form-group required  {{ $errors->has('cvc') ? 'has-error' : '' }}">
                                {!! Form::label('cvc', 'CCV'.config('site.form.colon'), ['class' => '']) !!}
                                {!! config('site.form.required') !!}
                                {!! Form::password('cvc', ['data-stripe'=>'cvc', 'onkeypress'=> 'return common.isNumber(event)', 'placeholder' => 'CCV', 'maxlength'=>4, 'required'=>'required','class'=>'form-control']) !!}
                                <span class="help-block"> {{ $errors->first('cvc', ':message') }} </span>
                        </div>
                      </div>
      </div>

      <div class="col-md-6">

      </div>



    </div>
  </div>
  <div class="cmn-btn-block pad-t30 text-right">
    {!! Form::submit('Continue', ['id'=>'cardBtn','class'=>'btn btn-custom btn-sm green-btn']) !!}
  </div>
</div>
{{ Form::close() }}
@stop

@section('script_per_page')
<script type="text/javascript">
  @php  $stripe_secret_key = config("get.STRIPE_SANDBOX_MODE") == 1 ? config("get.STRIPE_SANDBOX_PRIVATE_KEY") : config("get.STRIPE_LIVE_PRIVATE_KEY");
  \Stripe\Stripe::setApiKey($stripe_secret_key);  @endphp
  var STRIPE_KEY = 'pk_test_F4jQ56jAC9MkBSHYMsCNCAXJ00CBKwzwHJ';
  var url = '{{ url('') }}';
</script>
{!! Html::script('https://js.stripe.com/v2/') !!}
<script src="{{ asset('js/stripe.js') }}"></script>
@stop
