@extends('layouts.master')
@section('title','Review Supplier')
@section('content')
@include('partials.headerbanner',['title'=> 'Subscription Plan Form','banner' => asset('images/banners/subscription.jpg')])
@include('partials.header')
<div class="dash-middle pad30">
  <div class="prd-frm d-flex">
    <div class="box-lt">
      <h2>{{ 'Subscription Plan Form'  }}</h2>
    </div>

    <div class="prd-rt-frm cmn-form">
            <a href="{{ url('subscription-plan') }}" class="btn btn-default pull-right"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
       </div>
  </div>
  @include('layouts.admin.flash.alert')
  <div class="card-error"></div>
  <div class="checkout-page cmn-border cmn-form bg-white pad30">
    <h3>Subscribe your plan</h3>
    <p>By clicking on the "Subscribe" button. you agree to I-Whiz's privacy and term & conditions.</p>
    <div class="row">
      <div class="col-md-8">
            <div class="row">
                    <div class="col-md-5">
                        <div class="form-group">
                            <h4><strong>Subscriber Detail</strong></h4>
                            <strong>{{ $authUser->name }}</strong><br>
                            <p>{{ implode(", ",$existAddr) }}</p>
                        </div>
                    </div>
                    <div class="col-md-7">
                      <h4><strong>Payment Method</strong></h4>
                            Cradit card(Visa/Master)
                    </div>
            </div>

        <div class="cell example example4 wd-100" id="example-4">
            <form class="examPay">
                    <input type="hidden" name="name" id="example4-name" value="{{ $authUser->name }}" />
                    <input type="hidden" name="name" id="example4-address" value="{{ $authUser->address->address_line_1 . " ". $authUser->address->address_line_1 }}" />
                    <input type="hidden" name="name" id="example4-city" value="{{ $authUser->address->city }}" />
                    <input type="hidden" name="name" id="example4-state" value="{{ $authUser->address->state->title }}" />
                    <input type="hidden" name="name" id="example4-zip" value="{{ $authUser->address->postal_code }}" />
              <div id="example4-paymentRequest">
                <!--Stripe paymentRequestButton Element inserted here-->
              </div>
              <fieldset>
                <legend class="card-only" data-tid="elements_examples.form.pay_with_card">Pay with card</legend>
                <legend class="payment-request-available" data-tid="elements_examples.form.enter_card_manually">Or enter card details</legend>
                <div class="container">
                  <div id="example4-card"></div>
                  <button type="submit" class="btn btn-custom btn-sm green-btn payButton" data-tid="elements_examples.form.donate_button">Subscribe</button>
                </div>
              </fieldset>
              <div class="error" role="alert" style="font-weight:bold;">
                <span class="message"></span>
            </div>
            </form>

          </div>
      </div>

      <div class="col-md-4">
            <ul class="list-group">
                    <li class="list-group-item active">Plan Summary</li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">Plan <span class="badge badge-flat">{{ $plan->title }}</span></li>
                    <li class="list-group-item d-flex justify-content-between align-items-center">Plan Duration <span class="badge  badge-flat">{{ ucfirst($plan->plan_interval) }}</span></li>
                    @if(Auth::user()->currency_code == "AUD")
                    @php
                        $fee = iwhiz_fee();
                        $gst_tax = ($fee['gst_tax']/100) * $plan->amount;
                    @endphp
                <li class="list-group-item d-flex justify-content-between align-items-center">GST Tax
                    <span class="badge badge-flat">{{  Auth::user()->currency_code == getBaseCurrency() ? format($gst_tax) : convert($gst_tax, getCurrencyData(getBaseCurrency())['rate'], getUserCurrency(), true) }}</span></li>
                    @endif
                    {{-- <li class="list-group-item d-flex justify-content-between align-items-center">Trail Days <span class="badge badge-primary badge-flat">{{ $plan->trail_days }} Days</span></li> --}}
                    <li class="list-group-item d-flex justify-content-between align-items-center">Amount <span class="badge badge-pill">{{  Auth::user()->currency_code == getBaseCurrency() ? format($plan->amount) : convert($plan->amount, getCurrencyData(getBaseCurrency())['rate'], getUserCurrency(), true) }}</span>
                    </li>
                    @if(Auth::user()->currency_code == "AUD")
                    <li class="list-group-item d-flex justify-content-between align-items-center">Total Amount <span class="badge badge-pill">{{  Auth::user()->currency_code == getBaseCurrency() ? format($plan->amount + $gst_tax) : convert(($plan->amount + $gst_tax), getCurrencyData(getBaseCurrency())['rate'], getUserCurrency(), true) }}</span>
                    </li>
                    @endif

                    </ul>
      </div>

    </div>
  </div>

</div>
@stop
@section('style_per_page')
<link rel="stylesheet" type="text/css" href="{{ asset('stripe/css/example4.css') }}" data-rel-css="" />
<style>
.list-group-item.active {
	z-index: 2;
	color: #fff;
	background-color: {{ $plan->title=="Free Plan" ? "#005776" : ($plan->title=="Silver Plan" ? "#bfc1c2" : "#d4af37") }} !important;
	border-color: {{ $plan->title=="Free Plan" ? "#005776" : ($plan->title=="Silver Plan" ? "#bfc1c2" : "#d4af37") }} !important;
}
</style>
@stop
@section('script_per_page')
{{-- <script type="text/javascript">
  @php  $stripe_secret_key = config("get.STRIPE_SANDBOX_MODE") == 1 ? config("get.STRIPE_SANDBOX_PRIVATE_KEY") : config("get.STRIPE_LIVE_PRIVATE_KEY");
  \Stripe\Stripe::setApiKey($stripe_secret_key);  @endphp
  var STRIPE_KEY = 'pk_test_F4jQ56jAC9MkBSHYMsCNCAXJ00CBKwzwHJ';
  var url = '{{ url('') }}';
</script>
{!! Html::script('https://js.stripe.com/v2/') !!}
<script src="{{ asset('js/stripe.js') }}"></script> --}}
<script src="{{ asset('plugins/Ladda/dist/spin.min.js') }}"></script>
<script src="{{ asset('plugins/Ladda/dist/ladda.min.js') }}"></script>
<script>
    var stripe_public_key = '{{ config("get.STRIPE_SANDBOX_MODE") == 1 ? config("get.STRIPE_SANDBOX_PUBLIC_KEY") : config("get.STRIPE_LIVE_PUBLIC_KEY") }}';
    var getBookingPaymentUrl = '{{ route('subscription.store',$plan->id) }}';
    var thankYouUrl = '{{ route('dashboard') }}';
</script>
<script src="https://js.stripe.com/v3/"></script>
<script src="{{ asset('stripe/js/subscription.js') }}"></script>
<script src="{{ asset('stripe/js/example4.js') }}"></script>

@stop
