@extends('layouts.cms')
@section('title','Buyer Dashboard')
@section('content')
<div class="pricing-outer">
        <style>
                .content-page p {
                    font-size: 27px !important;
                    color:gray;
                }
                .content-page h1 {
                    font-size: 4.375em !important;
                    font-family: 'brandon_grotesque';
                    color:#005776;
                    /* text-transform: uppercase; */
                }
                </style>
@if(!Auth::guard()->user())

<h1 class="text-center"> PRICING and FEES </h1>
<section class="pricing" style="font-size: 18px;">
  <div style="font-size: 27px !important;">
    <strong style="color: #fe6c00;">1. Service Fees:</strong><br>
    <p style="padding-left:20px;">I-Whiz will charge a flat Service Fee of:</p>

  </div>
<p style="padding-left:20px; margin-bottom:20px;">
    a. &nbsp; 7% from the Buyer;<br> <br>
    b. &nbsp; 7 % from the Supplier/ Distributor. <br><br>
     (Our Service Fees exclude any applicable conversion rates that may apply on any transactions charged by the third- party payment gateway but only when currency is required to be converted).<br>
</p>

<div style="font-size: 27px !important;">
            <strong style="color: #fe6c00;">2. Subscription fees for storage:</strong><br>
            <p style="padding-left:20px;"> Suppliers requiring storage to upload inventory on the I-Whiz Cloud Services shall be required to purchase a subscription plan depending on the size of the inventory on the platform:-</p>
</div>

      <p style="padding-left:20px; margin-bottom:20px;">
    a.	Free Plan - (1 GB)<br><br>
    b.	Silver Plan - $5 AUD p/m (3 GB)<br><br>
    c.	Gold Plan - $10 AUD p/m (5 GB)
<br><br>
    (Subscriptions fees on storage are subject to be varied from time to time depending on User requirements and third party storage costs)<br>
  </p>

  <div style="font-size: 27px !important;">
        <strong style="color: #fe6c00;">3. Taxes: </strong><br>
        <p style="padding-left:20px;"> All amounts payable by Customer to I-Whiz under this Agreement save for the Service Fee % are exclusive of any tax, levy, GST, VAT or other relevant governmental charge that may be assessed by any jurisdiction (Taxes).</p>
  </div>

  <section>

@else
<h1 class="text-center">Subscription Plans</h1>
<section class="pricing">

@if (Auth::guard()->user() && Auth::guard()->user()->role_id == 1)
<h2 class="text-center">Hey, as a buyer you are not required to purchase a subscription!!</h2>
@else
<div class="row">

        @foreach($plans as $k=>$plan)
        <!-- Free Tier -->
        <div class="col-lg-4">
          <div class="card mb-5 mb-lg-0 card_plan_{{ $k }}">
            <div class="card-body">
              <h5 class="card-title text-uppercase text-center">{{ $plan->title }}</h5>
              <h6 class="card-price text-center">
                  @php
                  $currency_code = getUserCurrency();
                     if(Auth::guard()->user()){
                        $currency_code = Auth::user()->currency_code;
                     }
                  @endphp
                  {{ $currency_code == getBaseCurrency() ? format($plan->amount) : convert($plan->amount, getCurrencyData(getBaseCurrency())['rate'], getUserCurrency()) }}@if($plan->amount > 0)<span class="period">/{{ ucfirst($plan->plan_interval) }}</span> @endif
                </h6>
              <hr>
              <ul class="fa-ul">
                @foreach($plan->subscription_plan_features as $feature)
                @if(!empty($feature->value))
                <li><span class="fa-li"><i class="fas fa-check"></i></span>
                    {{  array_key_exists($feature->title,Config::get('constant.plan_features')) ? $feature->value.' '.Config::get('constant.plan_features')[$feature->title]:'' }}
                </li>
                @endif
                @endforeach
                {{-- <li><span class="fa-li"><i class="fas fa-check"></i></span> 100 Max Product Uploads</li> --}}
                {{--  <li><span class="fa-li"><i class="fas fa-check"></i></span>Single User</li>
                <li><span class="fa-li"><i class="fas fa-check"></i></span>5GB Storage</li>
                <li><span class="fa-li"><i class="fas fa-check"></i></span>Unlimited Public Projects</li>
                <li><span class="fa-li"><i class="fas fa-check"></i></span>Community Access</li>
                <li class="text-muted"><span class="fa-li"><i class="fas fa-times"></i></span>Unlimited Private Projects</li>
                <li class="text-muted"><span class="fa-li"><i class="fas fa-times"></i></span>Dedicated Phone Support</li>
                <li class="text-muted"><span class="fa-li"><i class="fas fa-times"></i></span>Free Subdomain</li>
                <li class="text-muted"><span class="fa-li"><i class="fas fa-times"></i></span>Monthly Status Reports</li>
               --}}
              </ul>

              @php
              if(Auth::guard()->user()){
                $is_Active = Auth::user()->subscribedToPlan($plan->stripe_plan_id, 'main');
                if(!$is_Active && $plan->amount < 1){
                    //$is_Active = true;
                }
              }else{
                $is_Active = false;
              }
              @endphp

              @if ($plan->amount < 1)
                <a href="{{ route('dashboard') }}" class="btn btn-block btn-primary text-uppercase">Join</a>
              @else
                @if(!$is_Active)
                <a href="{{ route('subscription.create',$plan->id) }}" class="btn btn-block btn-primary text-uppercase">Buy</a>
                @else
                <a href="javascript:void(0);" class="btn btn-block btn-primary text-uppercase" aria-disabled="true" disabled>Active</a>
                @endif
              @endif


            </div>
          </div>
        </div>
        @endforeach

      </div>
@endif
  </section>
  @endif
  </div>
@stop

