<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */
    Route::prefix('admin')->middleware('auth:admin')->namespace('Admin')->as('admin.')->group(function () {
        Route::resources([
            'subscriptionplans' => 'SubscriptionPlansController',
        ]);
        Route::resources([
            'subscriptions' => 'SubscriptionsController',
        ]);
    });
    Route::get('pricing', 'SubscriptionPlansController@pricing')->middleware('setcurrency')->name('pricing');
    Route::get('subscription-plan', 'SubscriptionPlansController@subscriptionPlanList')->middleware('setcurrency')->name('subscription-plan');
    Route::prefix('subscriptionmanager')->group(function () {
        Route::get('/', 'SubscriptionManagerController@index');

    });
    Route::prefix('')->middleware(['auth', 'check_profile'])->group(function () {
        Route::get('subscribe/{plan_id}', 'SubscriptionPlansController@subscriptionForm')->name('subscription.create')->middleware('setcurrency');
        Route::post('/subscription/store/{plan_id}', 'SubscriptionPlansController@store')->name('subscription.store')->middleware('setcurrency');

});
