<?php

namespace Modules\TestimonialManager\Http\Controllers\Admin;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\TestimonialManager\Entities\Testimonial;
use Modules\TestimonialManager\Http\Requests\GeneralRequest;
use DB;

class TestimonialManagerController extends Controller
{
      public function getTestimonial(Request $request)
    {

        $allowed_columns = ['id', 'author'];
        $sort = in_array($request->get('sort'), $allowed_columns) ? $request->get('sort') : 'created_at';
        $order = $request->get('direction') === 'asc' ? 'asc' : 'desc';
        $testimonials = Testimonial::orderBy($sort, $order)->paginate(config('get.ADMIN_PAGE_LIMIT'));
        return view('testimonialmanager::Admin.testimonials.index',compact('testimonials'));

    }

     public function addTestimonial()
    {
        return view('testimonialmanager::Admin.testimonials.add');
    }

    public function storeTestimonial(GeneralRequest $request)
    {
        //dd($request->all());die;
        try{
         
             $testimonial = Testimonial::create($request->all());
            if ($request->hasFile('image')) {
                  
                
            #### testimonial image  upload script ####
            $imageName = 'author-'.time().'.' . $request->file('image')->getClientOriginalExtension();
            $request->file('image')->move(public_path('uploads/testimonial-image'), $imageName);
            #### testimonial image upload script ####

            $testimonialId = $testimonial->id;
            $updatetestimonial = Testimonial::find($testimonialId);
            $updatetestimonial->image = $imageName;
            $updatetestimonial->save();
            }

        }catch (\Illuminate\Database\QueryException $e) {
            return back()->withError($e->getMessage())->withInput();
        }
        return redirect()->route('data.testimonial')->with('success', 'Testimonial added successfully');
    }

    public function showTestimonial($id)
    {
        $testimonials = Testimonial::find($id);
        return view('testimonialmanager::Admin.testimonials.show',compact('testimonials'));
    }

    public function editTestimonial($id)
    {
        $testimonials = Testimonial::find($id);
        return view('testimonialmanager::Admin.testimonials.add',compact('testimonials'));
    }

 public function deleteTestimonial(Request $request, $id)
    {
        
        $getTestimonialUpdated = DB::table('testimonials')
                       ->where('id', '=', $id)
                       ->update(['status' => 1]);
 
        $responce = ['status' => true, 'message' => 'Testimonial deleted successfully !!', 'data' => ['id' => $id]];

        return $responce;
    }





    public function updateTestimonial(GeneralRequest $request, $id)
    {
        try{
            $testimonial = Testimonial::find($id);
            $testimonial->fill($request->all());
            $testimonial->save();

             if ($request->hasFile('image')) { 
                #### testimonial image  upload script ####
            $imageName = 'author-'.time().'.' . $request->file('image')->getClientOriginalExtension();
            $request->file('image')->move(public_path('uploads/testimonial-image'), $imageName);
            #### testimonial image upload script ####
             $testimonialId = $testimonial->id;
            $updatetestimonial = Testimonial::find($testimonialId);
            $updatetestimonial->image = $imageName;
            $updatetestimonial->save();
            }
            
          }
          catch (\Illuminate\Database\QueryException $e) {
              return back()->withError($e->getMessage())->withInput();
          }
            return redirect()->route('data.testimonial')->with('success', 'Testimonial updated successfully!');
    }


}
