@extends('layouts.admin.master')

@section('title') Testimonials @stop
@section('content')
@include('layouts.admin.flash.alert')
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Manage Testimonials
                <small>Here you can manage the Testimonials</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{url('admin/dashboard')}}"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="{{route('data.testimonial')}}" class="active">Testimonials</a></li>
            </ol>
        </section>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase">List Testimonial</span></h3>
                            <div class="box-tools">
                                <a href="{{route('data.testimonial.add')}}" class="btn btn-success btn-flat btn-sm"><i class="fa fa-plus"></i> New Testimonial</a>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                            <table class="table table-hover table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th scope="col"><a href="{{ URL::route('data.testimonial',['sort' => 'heading','direction'=> request()->direction == 'asc' ? 'desc' : 'asc']) }}">Author</a></th>
                                    <th scope="col">Date</th>
                                    <th scope="col" class="actions" style="width: 15%;">Actions</th>
                                </tr>
                                </thead>
                                    @if($testimonials->count() > 0)
                                    <tbody>
                                @php
                                $i = (($testimonials->currentPage() - 1) * ($testimonials->perPage()) + 1)
                                @endphp
                                @foreach($testimonials as $testimonial)
                                    <tr class="row-{{ $testimonial->id }}">
                                        <td> {{$i}}. </td>
                                        <td>{{$testimonial->author}}</td>
                                        
                                    <td>

                                        {{$testimonial->created_at}}
                                      
                                    </td>
                                        <td class="actions">
                                             
                                                <a href="{{url('admin/testimonials/view/'.$testimonial->id)}}" class="btn btn-warning btn-sm" data-toggle="tooltip" alt="View Testimonials" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a>&nbsp;&nbsp;
                                                <a href="{{url('admin/testimonials/edit/'.$testimonial->id)}}" class="btn btn-primary btn-sm" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                                &nbsp;&nbsp;
                                                  

                                                  <a href="javascript:void(0);" class="confirmDeleteBtn btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Testimonial" data-url="{{ route('data.testimonial.delete', $testimonial->id) }}" data-title="Testimonial"><i class="fa fa-trash"></i></a>
                                             
                                        </td>
                                    </tr>
                                @php
                                    $i++;
                                @endphp
                                @endforeach
                                </tbody>
                                @else
                                <tfoot>
                                    <tr>
                                        <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                    </tr>
                                </tfoot>
                                @endif
                            </table>
                        </div>
                        <div class="box-footer clearfix">
                            {{$testimonials->appends(Request::query())->links()}}
                         </div>
                    </div>
                </div>
                
            </div>
        </section>
@stop
