<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin/testimonials')->middleware('auth:admin')->namespace('Admin')->group(function () {
    Route::get('/', 'TestimonialManagerController@getTestimonial')->name('data.testimonial');
    Route::get('/add', 'TestimonialManagerController@addTestimonial')->name('data.testimonial.add');
    Route::post('/add', 'TestimonialManagerController@storeTestimonial')->name('data.testimonial.store');
    Route::get('/view/{id}', 'TestimonialManagerController@showTestimonial')->name('data.testimonial.view');
    Route::get('/edit/{id}', 'TestimonialManagerController@editTestimonial')->name('data.testimonial.edit');
    Route::get('/delete/{id}', 'TestimonialManagerController@deleteTestimonial')->name('data.testimonial.delete');
    Route::delete('/delete/{id}', 'TestimonialManagerController@deleteTestimonial')->name('data.testimonial.delete');
    Route::patch('/{id}/edit', 'TestimonialManagerController@updateTestimonial')->name('data.testimonial.update');
});
