<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'first_name'            =>'bail|required|max:50',
            'last_name'             =>'bail|required|max:50',
            'email'                 =>'bail|required|email|max:100|unique:users,email',
            'username'              =>'bail|required|alpha_num|max:50|unique:users,username',
            'password'              =>'bail|required|confirmed|min:6|max:12',
            'phone'                 =>'bail|required|numeric|digits_between:4,16|unique:users,phone',
            'company_name'          =>'bail|required|max:100',
            'address'               =>'bail|required|string|max:150',
            'agree_with_terms'      =>'bail|required'
        ];
    }

}
