<?php

use Illuminate\Http\Request;

/*
  |--------------------------------------------------------------------------
  | API Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register API routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | is assigned the "api" middleware group. Enjoy building your API!
  |
 */


Route::group(['namespace' => 'Api\V1', 'as' => 'api.', 'middleware' => 'api.header'], function () {
            Route::post('/user/login', 'UserController@login');
			Route::post('/user/register', 'UserController@register');
			Route::post('/community/listing', 'CommunityController@listing');
			Route::post('/community/contact-us', 'CommunityController@contactUs');
			Route::post('/community/check-update', 'CommunityController@checkUpdate');
			
			Route::get('/page/{slug}', 'PagesController@index');
			
            // Route::get("test/user", function() {
                        // return response([ 'status' => false,
                            // 'code' => 401,
                            // 'message' => "You are not authorize to access",
                            // 'data' => (object) []]);
                    // })->name('test.user');

            Route::post('/user/forgot-password', 'UserController@forgotPassword');
			
			//Route::post('/user/contact', 'UserController@contact');
            //Route::post('/user/otp-verify', 'UserController@otpVerify');
            //Route::post('/user/resent-otp', 'UserController@resentOtp');
			
            #Web Api's
            Route::group(['as' => 'web.'], function() {
                        # After auth Api's
                        Route::group(['middleware' => ['auth:api', 'api.authtoken']], function() {

                                    Route::post('/user/changepassword', 'UserController@changePassword');
                                    Route::post('/user/setting', 'UserController@setting');

                                    Route::post('/user/profile', 'UserController@editProfile');

                                    Route::get('/user/getprofile', 'UserController@profileDetails');

                                    Route::get('/user/logout', 'UserController@logout');
									
                                });
                    });
        });
		