<?php $__env->startSection('title', !empty($emailHook) ? 'Edit Email Hook' : 'Add Email Hook'); ?>
<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.admin.flash.alert', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<section class="content-header">
    <h1>
        Manage Email Hooks
        <small>Here you can <?php echo e(!empty($emailHook) ? 'edit' : 'add'); ?> email hook(slug)</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="<?php echo e(route("admin.dashboard")); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="<?php echo e(route('admin.hooks')); ?>"><?php echo e(__("Hooks")); ?></a></li>
        <li><a href="javascript:void(0)" class="active"><?php echo e(!empty($emailHook) ? 'Edit Email Hook' : 'Add Email Hook'); ?></a></li>
    </ol>
</section>
<section class="content" data-table="emailHooks">
    <div class="row">
        <div class="col-md-8">
            <div class="box box-info emailHooks">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(!empty($emailHook) ? 'Edit Email Hook' : 'Add Email Hook'); ?> </h3>
                    <a href="<?php echo e(route('admin.hooks')); ?>" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div><!-- /.box-header -->

                <?php if(isset($emailHook)): ?>
                    <?php echo e(Form::model($emailHook, ['route' => ['admin.edit-hooks', $emailHook->id], 'method' => 'patch'])); ?>

                <?php else: ?>
                    <?php echo e(Form::open(['route' => 'admin.save-hooks'])); ?>

                <?php endif; ?>

                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group required <?php echo e($errors->has('title') ? 'has-error' : ''); ?>">
                                <label for="title">Title</label>
                                <?php echo e(Form::text('title', old('title'), ['class' => 'form-control','placeholder' => 'Title'])); ?>

                                <?php if($errors->has('title')): ?>
                                <span class="help-block"><?php echo e($errors->first('title')); ?></span>
                                <?php endif; ?>

                              </div>     
                            <div class="form-group">
                                <label for="slug">Hook</label>
                                <?php echo e(Form::text('slug', old('slug'), ['class' => 'form-control','placeholder' => 'Hook/Slug' ,'readonly' => isset($emailHook) ? true : false])); ?>

                               <p class="help-block">No space, separate each word with underscore. (if you want auto generated then please leave blank)</p>
                            </div>     
                            <div class="form-group required <?php echo e($errors->has('description') ? 'has-error' : ''); ?>">
                                <label for="description">Description</label>
                                <?php echo e(Form::textarea('description', old('description'), ['class' => 'form-control','placeholder' => 'Description', 'rows' => 8])); ?>

                                
                                <?php if($errors->has('description')): ?>
                                <span class="help-block"><?php echo e($errors->first('description')); ?></span>
                                <?php endif; ?>
                            </div>     
                            <div class="form-group">
                                <label for="status">Status</label> 
                                <?php echo e(Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control'])); ?>

                            </div>
                        </div>
                    </div> <!-- /.row -->
                </div><!-- /.box-body -->
                <div class="box-footer">
                        <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>  
                        <a href="<?php echo e(route('admin.hooks')); ?>" class="btn btn-warning btn-flat" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>                
                    </div>
                    <?php echo e(Form::close()); ?>

            </div>
        </div>
        <div class="col-md-4">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class="fa fa-anchor"></i> Last updated email hooks</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <!-- form start -->
                    <!-- form start -->
                    <?php if(!$emailHookLists->isEmpty()): ?>
                        <ul class="timeline">
                            <!-- timeline time label -->
                            <?php $__currentLoopData = $emailHookLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hook): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="time-label">
                                    <span class="bg-navy">
                                            <?php echo e($hook->created_at->toFormattedDateString()); ?>

                                    </span>
                                </li>
                                <!-- /.timeline-label -->
                                <!-- timeline item -->
                                <li>
                                    <i class="fa fa-anchor bg-blue"></i>

                                    <div class="timeline-item">
                                        <span class="time"><i class="fa fa-clock-o"></i> <?php echo e($hook->created_at->format('H:i A')); ?></span>

                                        <h3 class="timeline-header"><?php echo e($hook->title); ?></h3>

                                        <div class="timeline-body">
                                                <?php echo e($hook->description); ?>

                                        </div>
                                        <div class="timeline-footer">
                                                <a href="<?php echo e(route('admin.view-hooks', ['id' => $hook->id])); ?>" class="btn btn-default btn-xs btn-flat"><i class="fa fa-eye" data-toggle="tooltip" data-placement="left" data-title="View" data-original-title="" title=""></i></a>
                                                <a href="<?php echo e(route('admin.edit-hooks', ['id' => $hook->id])); ?>" class="btn btn-primary btn-xs btn-flat"><i class="fa fa-pencil-square-o" data-toggle="tooltip" data-placement="right" data-title="Edit" data-original-title="Edit" title=""></i></a> 

                                        </div>
                                    </div>
                                </li>
                                <!-- END timeline item -->
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <li>
                                <i class="fa fa-clock-o bg-gray"></i>
                            </li>
                        </ul>
                    <?php endif; ?>
                </div>

            </div>
            <!-- /.box -->
        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>