<?php $__env->startSection('title', !empty($user) ? 'Edit User' : 'Add User'); ?>
<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.admin.flash.alert', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Users
        <small>Here you can manage users</small>
    </h1>
    <?php echo e(Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> 'admin.users'],['label' => !empty($user) ? 'Edit CMS Page' : 'Add CMS Page' ]]])); ?>

</section>
<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(!empty($user) ? 'Edit User' : 'Add User'); ?> </h3>
                    <a href="<?php echo e(route('admin.users')); ?>" class="btn btn-default pull-right" title="Cancel"><i class="fa fa-fw fa-chevron-circle-left"></i> Back</a>
                </div><!-- /.box-header -->

                <?php if(isset($user)): ?>
                <?php echo e(Form::model($user, ['route' => ['admin.users.update', $user->id], 'method' => 'patch','enctype'=>"multipart/form-data"])); ?>

                <?php else: ?>
                <?php echo e(Form::open(['route' => 'admin.users.store','enctype'=>"multipart/form-data"])); ?>

                <?php endif; ?>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                                    <label for="name">Name</label>
                                    <?php echo e(Form::text('name', old('name'), ['class' => 'form-control','placeholder' => 'Name'])); ?>

                                    <?php if($errors->has('name')): ?>
                                    <span class="help-block"><?php echo e($errors->first('name')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
							
                        </div>
                        <!-- <div class="col-md-12">
                        <div class="col-md-6">
                            <div class="form-group required <?php echo e($errors->has('gender') ? 'has-error' : ''); ?>">
                                <label for="gender">Gender</label>
                                 <?php echo e(Form::select('gender', ['male' => 'Male', 'female'=> 'Female'], old("gender"), ['class' => 'form-control'])); ?>

                         
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group required <?php echo e($errors->has('dob') ? 'has-error' : ''); ?>">
                                <label for="dob">DOB</label>
                                <?php echo e(Form::text('dob', old('dob'), ['class' => 'form-control','placeholder' => 'DOB'])); ?>

                                <?php if($errors->has('dob')): ?>
                                <span class="help-block"><?php echo e($errors->first('dob')); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>-->


                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group <?php echo e(empty($user) ? 'required' : ''); ?> <?php echo e($errors->has('password') ? 'has-error' : ''); ?>">
                                    <label for="password">Password</label>
                                    <input id="password" type="password" class="form-control<?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>" name="password" placeholder ='Password'>                                
                                    <?php if($errors->has('password')): ?>
                                    <span class="help-block"><?php echo e($errors->first('password')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group <?php echo e(empty($user) ? 'required' : ''); ?> <?php echo e($errors->has('password_confirmation') ? 'has-error' : ''); ?>">
                                    <label for="confirm_password">Confirm Password</label>
                                    <input id="password_confirmation" type="password" class="form-control<?php echo e($errors->has('password_confirmation') ? ' is-invalid' : ''); ?>" name="password_confirmation" placeholder ='Confirm Password'>

                                    <?php if($errors->has('confirm_password')): ?>
                                    <span class="help-block"><?php echo e($errors->first('password_confirmation')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
							<div class="col-md-6">
                                <div class="form-group required <?php echo e($errors->has('email') ? 'has-error' : ''); ?>">
                                    <label for="email">Email</label>
                                    <?php echo e(Form::text('email', old('email'), ['class' => 'form-control','placeholder' => 'Email'])); ?>

                                    <?php if($errors->has('email')): ?>
                                    <span class="help-block"><?php echo e($errors->first('email')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group required <?php echo e($errors->has('is_verified') ? 'has-error' : ''); ?>">
                                    <label for="is_verified">Verified</label>
                                    <?php echo e(Form::select('is_verified', [1 => 'Verified', 0 => 'Not Verified'], old("is_verified"), ['class' => 'form-control'])); ?>


                                </div>
                            </div>
						 </div>

                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group required <?php echo e($errors->has('status') ? 'has-error' : ''); ?>">
                                    <label for="status">Status</label>
                                    <?php echo e(Form::select('status', [1 => 'Active', 0 => 'Inactive'], old("status"), ['class' => 'form-control'])); ?>


                                </div>
                            </div>
							 <div class="col-md-6">
                                <div class="form-group <?php echo e($errors->has('phone') ? 'has-error' : ''); ?>">
                                    <label for="phone">Phone Number</label>
                                    <?php echo e(Form::text('phone', old('phone'), ['class' => 'form-control','placeholder' => 'Phone Number'])); ?>

                                    <?php if($errors->has('phone')): ?>
                                    <span class="help-block"><?php echo e($errors->first('phone')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-12">
                            <div class="col-md-6">
                                <div class="form-group  <?php echo e($errors->has('photo') ? 'has-error' : ''); ?>">
                                    <label for="imageInput">Profile Photo</label>
                                    <input data-preview="#photo" name="photo" type="file" id="photoInput">
                                    <img class="col-sm-6" id="preview"  src="">
                                    <p class="help-block">Browse Profile Photo.</p>
									 <?php
                        $filepath = '/uploads/users/';
                        ?>


                        <?php if(!empty($user->photo) && file_exists(public_path() . $filepath . $user->photo)): ?>
                        <?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url($filepath . $user->photo), '200', '200', '100'); ?>
                    
                        <?php else: ?>
                        <?php $imageurl = \App\Helpers\MenuHelpers::imageUrl(url('img/no_image.gif'), '200', '200', '100'); ?>
                        <?php endif; ?>
                            <img src="<?php echo e($imageurl); ?>" class=" img-responsive img-thumbnail">
                                </div>
                            </div>
                           

                        </div>

                    </div> <!-- /.row -->

                </div><!-- /.box-body -->
                <div class="box-footer">
                    <button class="btn btn-primary btn-flat" title="Submit" type="submit"><i class="fa fa-fw fa-save"></i> Submit</button>
                </div>
                <?php echo e(Form::close()); ?>


            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>