<?php $__env->startSection('title','CMS Pages'); ?>
<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.admin.flash.alert', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Manage CMS Pages
            <small>Here you can manage cms pages</small>
        </h1>
        <?php echo e(Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]])); ?>

    </section>
<?php
$qparams = app('request')->query();

?>
    <section class="content" data-table="pages">
            <div class="row pages">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h3 class="box-title"><span class="caption-subject font-green bold uppercase"><?php echo e(__('List Pages')); ?></span></h3>
                            <div class="box-tools">
                                <a href="<?php echo e(route('admin.pages.create')); ?>" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Page</a>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body table-responsive">
                            <div class="tab-content" style="margin-top:10px;">
                                <?php echo e(Form::open(['url' => route('admin.pages.index', $qparams),'method' => 'get'])); ?>

                        <div class="col-md-12">
                            <div class="row">
                                
                                <div class="col-md-5 form-group">
                                    <?php echo e(Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: question, answer'])); ?>

                                </div>
                                <div class="col-md-3 form-group">
                                    <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                    <a href="<?php echo e(route('admin.pages.index')); ?>" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                                </div>
                            </div>
                        </div>
                        <?php echo e(Form::close()); ?>

                        <div class="tab-pane active">
                            <table class="table table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Slug</th>
                                        <th scope="col">Short Description</th>
                                        <th scope="col" >created</th>
                                        <th scope="col" class="actions">Action</th>
                                    </tr>
                                </thead>
                                        <?php if($pages->count() > 0): ?>
                                        <tbody>
                                    <?php
                                    $i = (($pages->currentPage() - 1) * ($pages->perPage()) + 1)
                                    ?>
                                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr class="row-<?php echo e($page->id); ?>">
                                            <td> <?php echo e($i); ?>. </td>
                                            <td><?php echo e($page->title); ?></td>
                                            <td><?php echo e($page->slug); ?></td>
                                            <td><?php echo e($page->short_description); ?></td>
                                            <td><?php echo e($page->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT'))); ?></td>
                                            <td class="actions">
                                               
                                                    <a href="<?php echo e(route('admin.pages.show',['id' => $page->id])); ?>" class="btn btn-warning btn-sm" data-toggle="tooltip" alt="View setting" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a>

                                                    &nbsp;&nbsp;
                                                    <a href="<?php echo e(route('admin.pages.edit',['id' => $page->id])); ?>" class="btn btn-primary btn-sm" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>

                                                     &nbsp;&nbsp;
                                                 

   <a href="javascript:void(0);" class="confirmDeleteBtn btn btn-danger btn-sm btn-flat" data-toggle="tooltip" alt="Delete cms Page" data-url="<?php echo e(route('admin.pages.delete', $page->id)); ?>" data-title="Delete cms Page"><i class="fa fa-trash"></i></a>

                                               
                                            </td>
                                        </tr>
                                    <?php
                                        $i++;
                                    ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                    <?php else: ?>
                                    <tfoot>
                                        <tr>
                                            <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                                        </tr>
                                    </tfoot>
                                    <?php endif; ?>
                            </table>
                            </div>
                    </div>
                        </div>
                        <div class="box-footer clearfix">
                            <?php echo e($pages->appends(Request::query())->links()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>