<?php $__env->startSection('title','Tickets Manager'); ?>
<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.admin.flash.alert', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Tickets
        <small>Here you can manage Tickets</small>
    </h1>
    <?php echo e(Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]])); ?>

</section>

<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header">
                    <h3 class="box-title"><span class="caption-subject font-green bold uppercase"><?php echo e(__('List Tickets')); ?></span></h3>
                    <div class="box-tools">
                        <a href="<?php echo e(route('admin.tickets.add')); ?>" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Ticket</a>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <?php echo e(Form::open(['url' => route('admin.tickets'),'method' => 'get'])); ?>

                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-2 form-group">
                                <?php echo e(Form::select('status', ['' => 'All',1 => 'Active', 0 => 'Inactive'], app('request')->query('status'), ['class' => 'form-control'])); ?>

                            </div>
                            <div class="col-md-5 form-group">
                                <?php echo e(Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: vehical no'])); ?>

                            </div>
                            <div class="col-md-3 form-group">
                                <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                <a href="<?php echo e(route('admin.tickets')); ?>" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                            </div>
                        </div>
                    </div>
                    <?php echo e(Form::close()); ?>

                    <table class="table table-hover table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th scope="col"> <?php
                                    $sorting['sort'] = "site_id";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">Site</a></th>
								<th scope="col"> <?php
                                    $sorting['sort'] = "user_id";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">User</a></th>
                                <th scope="col"><?php
                                    $sorting['sort'] = "vehical_no";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">Vehical No.</a></th>
								<th scope="col"><?php
                                    $sorting['sort'] = "description";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">Description</a></th>
                                <th scope="col"><?php
                                    $sorting['sort'] = "status";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">Status</a></th>
                                <th scope="col" width="18%"><?php
                                    $sorting['sort'] = "created_at";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.tickets',$sorting)); ?>">Created</a></th>
                                <th scope="col" class="actions" width="16%">Action</th>
                            </tr>
                        </thead>
                        <?php if($tickets->count() > 0): ?>
                        <tbody>
                            <?php
                            $i = (($tickets->currentPage() - 1) * ($tickets->perPage()) + 1)
                            ?>
                            <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ticket): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="row-<?php echo e($ticket->id); ?>">
                                <td> <?php echo e($i); ?>. </td>
                                <td><a href="<?php echo e(URL::route('admin.sites.view',$ticket->site_id)); ?>"><?php echo e($ticket->sites->title); ?></a> </td>
								<?php if($ticket->user_id != 0): ?>
                                <td><a href="<?php echo e(URL::route('admin.users.view',$ticket->user_id)); ?>"><?php echo e($ticket->users->first_name); ?></a> </td>
								<?php endif; ?>
								<?php if($ticket->user_id == 0): ?>
                                <td>Admin</td>
								<?php endif; ?>
								<td><?php echo e($ticket->vehical_no); ?></td>
								<td><?php echo e($ticket->description); ?></td>
                                <td><?php echo e($ticket->status == 1 ? "Active" : "In-Active"); ?></td>
                                <td><?php echo e($ticket->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT'))); ?></td>
                                <td class="actions">
                                    <div class="form-group">
										
                                        <a href="<?php echo e(route('admin.tickets.view',['id' => $ticket->id])); ?>" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a> 
                                        <a href="<?php echo e(route('admin.tickets.edit',['id' => $ticket->id])); ?>" class="btn btn-primary btn-sm btn-flat" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
										<a href="<?php echo e(url('uploads/pdf/'.$ticket->pdf_file)); ?>" target="__blank" class="btn btn-info btn-sm btn-flat"  data-toggle="tooltip" alt="Download PDF"  data-title="Download PDF"><i class="fa fa-download"></i></a>
                                        <a href="javascript:void(0);" class="confirmDeleteBtn reload btn btn-danger btn-sm btn-flat"  alt="Delete <?php echo e($ticket->name); ?>" data-url="<?php echo e(route('admin.tickets.delete', $ticket->id)); ?>" data-title="<?php echo e($ticket->name); ?>"><i class="fa fa-trash"></i></a>
										
                                    </div>
                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                        <?php else: ?>
                        <tfoot>
                            <tr>
                                <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                            </tr>
                        </tfoot>
                        <?php endif; ?>
                    </table>
                </div>
                <div class="box-footer clearfix">
                    <?php echo e($tickets->appends(Request::query())->links()); ?>

                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>