<?php $__env->startSection('title','Community Manager'); ?>
<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.admin.flash.alert', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Manage Community
        <small>Here you can manage Community</small>
    </h1>
    <?php echo e(Breadcrumbs::render('common',['append' => [['label'=> $getController,'route'=> \Request::route()->getName()]]])); ?>

</section>

<section class="content" data-table="pages">
    <div class="row pages">
        <div class="col-md-12">
            <div class="box box-info">
                <div class="box-header">
                    <h3 class="box-title"><span class="caption-subject font-green bold uppercase"><?php echo e(__('List Community')); ?></span></h3>
                    <div class="box-tools">
                        <a href="<?php echo e(route('admin.community.add')); ?>" class="btn btn-success btn-flat"><i class="fa fa-plus"></i> Add New Community</a>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    <?php echo e(Form::open(['url' => route('admin.community'),'method' => 'get'])); ?>

                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-2 form-group">
                                <?php echo e(Form::select('status', ['' => 'All',1 => 'Active', 0 => 'Inactive'], app('request')->query('status'), ['class' => 'form-control'])); ?>

                            </div>
                            <div class="col-md-5 form-group">
                                <?php echo e(Form::text('keyword', app('request')->query('keyword'), ['class' => 'form-control','placeholder' => 'Keyword e.g: name, email'])); ?>

                            </div>
                            <div class="col-md-3 form-group">
                                <button class="btn btn-success" title="Search" type="submit"><i class="fa fa-filter"></i> Filter</button>
                                <a href="<?php echo e(route('admin.community')); ?>" class="btn btn-warning" title="Cancel"><i class="fa fa-fw fa-refresh"></i> Reset</a>
                            </div>
                        </div>
                    </div>
                    <?php echo e(Form::close()); ?>

                    <table class="table table-hover table-striped">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th scope="col"> <?php
                                    $sorting['sort'] = "title";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Community</a></th>
								<th scope="col"><?php
                                    $sorting['sort'] = "description";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Description</a></th>
								<th scope="col"><?php
                                    $sorting['sort'] = "color_code";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Color Code</a></th>
                                <th scope="col"><?php
                                    $sorting['sort'] = "status";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Status</a></th>
                                <th scope="col" width="18%"><?php
                                    $sorting['sort'] = "created_at";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Created</a></th>
									<th scope="col" width="18%"><?php
                                    $sorting['sort'] = "updated_at";
                                    $sorting['direction'] = request()->direction == 'asc' ? 'desc' : 'asc';
                                    ?>
                                    <a href="<?php echo e(URL::route('admin.community',$sorting)); ?>">Updated</a></th>
                                <th scope="col" class="actions" width="12%">Action</th>
                            </tr>
                        </thead>
                        <?php if($communities->count() > 0): ?>
                        <tbody>
                            <?php
                            $i = (($communities->currentPage() - 1) * ($communities->perPage()) + 1)
                            ?>
                            <?php $__currentLoopData = $communities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $community): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="row-<?php echo e($community->id); ?>">
                                <td> <?php echo e($i); ?>. </td>
                                <td><?php echo e($community->title); ?></td>
                                <td><?php echo e($community->description); ?></td>
                                <td><?php echo e($community->color_code); ?></td>
                                <td><?php echo e($community->status == 1 ? "Active" : "In-Active"); ?></td>
                                <td><?php echo e($community->created_at->format(config('get.ADMIN_DATE_TIME_FORMAT'))); ?></td>
                                <td><?php echo e($community->updated_at->format(config('get.ADMIN_DATE_TIME_FORMAT'))); ?></td>
                                <td class="actions">
                                    <div class="form-group">
                                        <a href="<?php echo e(route('admin.community.view',['id' => $community->id])); ?>" class="btn btn-warning btn-sm btn-flat" data-toggle="tooltip" alt="View" title="" data-original-title="View"><i class="fa fa-fw fa-eye"></i></a> 
                                        <a href="<?php echo e(route('admin.community.edit',['id' => $community->id])); ?>" class="btn btn-primary btn-sm btn-flat" data-toggle="tooltip" alt="Edit" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>
                                        <a href="javascript:void(0);" class="confirmDeleteBtn reload btn btn-danger btn-sm btn-flat"  alt="Delete <?php echo e($community->title); ?>" data-url="<?php echo e(route('admin.community.delete', $community->id)); ?>" data-title="<?php echo e($community->title); ?>"><i class="fa fa-trash"></i></a>
                                    </div>
                                </td>
                            </tr>
                            <?php
                            $i++;
                            ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                        <?php else: ?>
                        <tfoot>
                            <tr>
                                <td colspan='7' align='center'> <strong>Record Not Available</strong> </td>
                            </tr>
                        </tfoot>
                        <?php endif; ?>
                    </table>
                </div>
                <div class="box-footer clearfix">
                    <?php echo e($communities->appends(Request::query())->links()); ?>

                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>